--
-- PostgreSQL database dump
--

-- Started on 2006-08-04 23:32:56 Pacific Standard Time

SET client_encoding = 'SQL_ASCII';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 1803 (class 1262 OID 16668)
-- Name: cartesquema; Type: DATABASE; Schema: -; Owner: postgres
--

CREATE DATABASE cartesquema WITH TEMPLATE = template0 ENCODING = 'SQL_ASCII';


ALTER DATABASE cartesquema OWNER TO postgres;

\connect cartesquema

SET client_encoding = 'SQL_ASCII';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 1804 (class 0 OID 0)
-- Dependencies: 5
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


--
-- TOC entry 6 (class 2615 OID 17295)
-- Name: web; Type: SCHEMA; Schema: -; Owner: postgres
--

CREATE SCHEMA web;


ALTER SCHEMA web OWNER TO postgres;

SET search_path = public, pg_catalog;

--
-- TOC entry 18 (class 1255 OID 16821)
-- Dependencies: 5
-- Name: areajoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION areajoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$areajoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.areajoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 19 (class 1255 OID 16822)
-- Dependencies: 5
-- Name: areasel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION areasel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$areasel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.areasel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 20 (class 1255 OID 16823)
-- Dependencies: 5
-- Name: btbuild(opaque, opaque, opaque, opaque, opaque); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION btbuild(opaque, opaque, opaque, opaque, opaque) RETURNS integer
    AS $$btbuild$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.btbuild(opaque, opaque, opaque, opaque, opaque) OWNER TO postgres;

--
-- TOC entry 21 (class 1255 OID 16824)
-- Dependencies: 5
-- Name: btcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION btcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque) RETURNS opaque
    AS $$btcostestimate$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.btcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque) OWNER TO postgres;

--
-- TOC entry 22 (class 1255 OID 16825)
-- Dependencies: 5
-- Name: contjoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION contjoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$contjoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.contjoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 23 (class 1255 OID 16826)
-- Dependencies: 5
-- Name: contsel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION contsel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$contsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.contsel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 24 (class 1255 OID 16827)
-- Dependencies: 5
-- Name: eqjoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION eqjoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$eqjoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.eqjoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 25 (class 1255 OID 16828)
-- Dependencies: 5
-- Name: eqsel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION eqsel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$eqsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.eqsel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 26 (class 1255 OID 16829)
-- Dependencies: 5
-- Name: gistbuild(opaque, opaque, opaque, opaque, opaque); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION gistbuild(opaque, opaque, opaque, opaque, opaque) RETURNS integer
    AS $$gistbuild$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.gistbuild(opaque, opaque, opaque, opaque, opaque) OWNER TO postgres;

--
-- TOC entry 27 (class 1255 OID 16830)
-- Dependencies: 5
-- Name: gistcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION gistcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque) RETURNS opaque
    AS $$gistcostestimate$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.gistcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque) OWNER TO postgres;

--
-- TOC entry 28 (class 1255 OID 16831)
-- Dependencies: 5
-- Name: hashbuild(opaque, opaque, opaque, opaque, opaque); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION hashbuild(opaque, opaque, opaque, opaque, opaque) RETURNS integer
    AS $$hashbuild$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.hashbuild(opaque, opaque, opaque, opaque, opaque) OWNER TO postgres;

--
-- TOC entry 29 (class 1255 OID 16832)
-- Dependencies: 5
-- Name: hashcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION hashcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque) RETURNS opaque
    AS $$hashcostestimate$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.hashcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque) OWNER TO postgres;

--
-- TOC entry 30 (class 1255 OID 16833)
-- Dependencies: 5
-- Name: iclikejoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION iclikejoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$iclikejoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.iclikejoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 31 (class 1255 OID 16834)
-- Dependencies: 5
-- Name: iclikesel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION iclikesel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$iclikesel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.iclikesel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 32 (class 1255 OID 16835)
-- Dependencies: 5
-- Name: icnlikejoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION icnlikejoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$icnlikejoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.icnlikejoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 33 (class 1255 OID 16836)
-- Dependencies: 5
-- Name: icnlikesel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION icnlikesel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$icnlikesel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.icnlikesel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 34 (class 1255 OID 16837)
-- Dependencies: 5
-- Name: icregexeqjoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION icregexeqjoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$icregexeqjoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.icregexeqjoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 35 (class 1255 OID 16838)
-- Dependencies: 5
-- Name: icregexeqsel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION icregexeqsel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$icregexeqsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.icregexeqsel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 36 (class 1255 OID 16839)
-- Dependencies: 5
-- Name: icregexnejoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION icregexnejoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$icregexnejoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.icregexnejoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 37 (class 1255 OID 16840)
-- Dependencies: 5
-- Name: icregexnesel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION icregexnesel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$icregexnesel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.icregexnesel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 38 (class 1255 OID 16841)
-- Dependencies: 5
-- Name: int2_sum(numeric, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION int2_sum(numeric, smallint) RETURNS numeric
    AS $$int2_sum$$
    LANGUAGE internal IMMUTABLE;


ALTER FUNCTION public.int2_sum(numeric, smallint) OWNER TO postgres;

--
-- TOC entry 39 (class 1255 OID 16842)
-- Dependencies: 5
-- Name: int4_sum(numeric, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION int4_sum(numeric, integer) RETURNS numeric
    AS $$int4_sum$$
    LANGUAGE internal IMMUTABLE;


ALTER FUNCTION public.int4_sum(numeric, integer) OWNER TO postgres;

--
-- TOC entry 40 (class 1255 OID 16843)
-- Dependencies: 5
-- Name: likejoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION likejoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$likejoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.likejoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 41 (class 1255 OID 16844)
-- Dependencies: 5
-- Name: likesel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION likesel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$likesel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.likesel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 42 (class 1255 OID 16845)
-- Dependencies: 5
-- Name: neqjoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION neqjoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$neqjoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.neqjoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 43 (class 1255 OID 16846)
-- Dependencies: 5
-- Name: neqsel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION neqsel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$neqsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.neqsel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 44 (class 1255 OID 16847)
-- Dependencies: 5
-- Name: nlikejoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION nlikejoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$nlikejoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.nlikejoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 45 (class 1255 OID 16848)
-- Dependencies: 5
-- Name: nlikesel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION nlikesel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$nlikesel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.nlikesel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 46 (class 1255 OID 16849)
-- Dependencies: 5
-- Name: pgadmin_get_col_def(oid, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION pgadmin_get_col_def(oid, integer) RETURNS text
    AS $_$SELECT adsrc FROM pg_attrdef WHERE adrelid = $1 AND adnum = $2$_$
    LANGUAGE sql;


ALTER FUNCTION public.pgadmin_get_col_def(oid, integer) OWNER TO postgres;

--
-- TOC entry 47 (class 1255 OID 16850)
-- Dependencies: 5
-- Name: pgadmin_get_desc(oid); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION pgadmin_get_desc(oid) RETURNS text
    AS $_$SELECT description FROM pgadmin_desc WHERE objoid = $1$_$
    LANGUAGE sql;


ALTER FUNCTION public.pgadmin_get_desc(oid) OWNER TO postgres;

--
-- TOC entry 48 (class 1255 OID 16851)
-- Dependencies: 5
-- Name: pgadmin_get_handler(oid); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION pgadmin_get_handler(oid) RETURNS text
    AS $_$SELECT proname::text FROM pg_proc WHERE oid = $1$_$
    LANGUAGE sql;


ALTER FUNCTION public.pgadmin_get_handler(oid) OWNER TO postgres;

--
-- TOC entry 49 (class 1255 OID 16852)
-- Dependencies: 5
-- Name: pgadmin_get_pgdesc(oid); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION pgadmin_get_pgdesc(oid) RETURNS text
    AS $_$SELECT description FROM pg_description WHERE objoid = $1$_$
    LANGUAGE sql;


ALTER FUNCTION public.pgadmin_get_pgdesc(oid) OWNER TO postgres;

SET default_tablespace = '';

SET default_with_oids = true;

--
-- TOC entry 1309 (class 1259 OID 16853)
-- Dependencies: 1693 5
-- Name: pgadmin_table_cache; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE pgadmin_table_cache (
    table_oid oid,
    table_rows integer,
    table_timestamp timestamp with time zone DEFAULT now()
);


ALTER TABLE public.pgadmin_table_cache OWNER TO bdmessias;

--
-- TOC entry 50 (class 1255 OID 16856)
-- Dependencies: 306 5
-- Name: pgadmin_get_rows(oid); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION pgadmin_get_rows(oid) RETURNS pgadmin_table_cache
    AS $_$SELECT DISTINCT ON(table_oid) * FROM pgadmin_table_cache WHERE table_oid = $1 ORDER BY table_oid, table_timestamp DESC$_$
    LANGUAGE sql;


ALTER FUNCTION public.pgadmin_get_rows(oid) OWNER TO postgres;

--
-- TOC entry 1310 (class 1259 OID 16857)
-- Dependencies: 1694 5
-- Name: pgadmin_seq_cache; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE pgadmin_seq_cache (
    sequence_oid oid,
    sequence_last_value integer,
    sequence_increment_by integer,
    sequence_max_value integer,
    sequence_min_value integer,
    sequence_cache_value integer,
    sequence_is_cycled text,
    sequence_timestamp timestamp with time zone DEFAULT now()
);


ALTER TABLE public.pgadmin_seq_cache OWNER TO bdmessias;

--
-- TOC entry 51 (class 1255 OID 16863)
-- Dependencies: 307 5
-- Name: pgadmin_get_sequence(oid); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION pgadmin_get_sequence(oid) RETURNS pgadmin_seq_cache
    AS $_$SELECT DISTINCT ON(sequence_oid) * FROM pgadmin_seq_cache WHERE sequence_oid = $1 ORDER BY sequence_oid, sequence_timestamp DESC$_$
    LANGUAGE sql;


ALTER FUNCTION public.pgadmin_get_sequence(oid) OWNER TO postgres;

--
-- TOC entry 52 (class 1255 OID 16864)
-- Dependencies: 5
-- Name: pgadmin_get_type(oid); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION pgadmin_get_type(oid) RETURNS text
    AS $_$SELECT typname::text FROM pg_type WHERE oid = $1$_$
    LANGUAGE sql;


ALTER FUNCTION public.pgadmin_get_type(oid) OWNER TO postgres;

--
-- TOC entry 53 (class 1255 OID 16865)
-- Dependencies: 5
-- Name: positionjoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION positionjoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$positionjoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.positionjoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 54 (class 1255 OID 16866)
-- Dependencies: 5
-- Name: positionsel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION positionsel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$positionsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.positionsel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 55 (class 1255 OID 16867)
-- Dependencies: 5
-- Name: regexeqjoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION regexeqjoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$regexeqjoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.regexeqjoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 56 (class 1255 OID 16868)
-- Dependencies: 5
-- Name: regexeqsel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION regexeqsel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$regexeqsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.regexeqsel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 57 (class 1255 OID 16869)
-- Dependencies: 5
-- Name: regexnejoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION regexnejoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$regexnejoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.regexnejoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 58 (class 1255 OID 16870)
-- Dependencies: 5
-- Name: regexnesel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION regexnesel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$regexnesel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.regexnesel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 59 (class 1255 OID 16871)
-- Dependencies: 5
-- Name: rtbuild(opaque, opaque, opaque, opaque, opaque); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION rtbuild(opaque, opaque, opaque, opaque, opaque) RETURNS integer
    AS $$rtbuild$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.rtbuild(opaque, opaque, opaque, opaque, opaque) OWNER TO postgres;

--
-- TOC entry 60 (class 1255 OID 16872)
-- Dependencies: 5
-- Name: rtcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION rtcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque) RETURNS opaque
    AS $$rtcostestimate$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.rtcostestimate(opaque, opaque, opaque, opaque, opaque, opaque, opaque) OWNER TO postgres;

--
-- TOC entry 61 (class 1255 OID 16873)
-- Dependencies: 5
-- Name: scalargtjoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION scalargtjoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$scalargtjoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.scalargtjoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 62 (class 1255 OID 16874)
-- Dependencies: 5
-- Name: scalargtsel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION scalargtsel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$scalargtsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.scalargtsel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 63 (class 1255 OID 16875)
-- Dependencies: 5
-- Name: scalarltjoinsel(oid, oid, smallint, oid, smallint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION scalarltjoinsel(oid, oid, smallint, oid, smallint) RETURNS double precision
    AS $$scalarltjoinsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.scalarltjoinsel(oid, oid, smallint, oid, smallint) OWNER TO postgres;

--
-- TOC entry 64 (class 1255 OID 16876)
-- Dependencies: 5
-- Name: scalarltsel(oid, oid, smallint, opaque, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION scalarltsel(oid, oid, smallint, opaque, integer) RETURNS double precision
    AS $$scalarltsel$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.scalarltsel(oid, oid, smallint, opaque, integer) OWNER TO postgres;

--
-- TOC entry 65 (class 1255 OID 16877)
-- Dependencies: 5
-- Name: time(timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION "time"(timestamp with time zone) RETURNS time without time zone
    AS $$timestamp_time$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public."time"(timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 66 (class 1255 OID 16878)
-- Dependencies: 5
-- Name: timestamp_cmp(timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION timestamp_cmp(timestamp with time zone, timestamp with time zone) RETURNS integer
    AS $$timestamp_cmp$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.timestamp_cmp(timestamp with time zone, timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 67 (class 1255 OID 16879)
-- Dependencies: 5
-- Name: timestamp_eq(timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION timestamp_eq(timestamp with time zone, timestamp with time zone) RETURNS boolean
    AS $$timestamp_eq$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.timestamp_eq(timestamp with time zone, timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 68 (class 1255 OID 16880)
-- Dependencies: 5
-- Name: timestamp_ge(timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION timestamp_ge(timestamp with time zone, timestamp with time zone) RETURNS boolean
    AS $$timestamp_ge$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.timestamp_ge(timestamp with time zone, timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 69 (class 1255 OID 16881)
-- Dependencies: 5
-- Name: timestamp_gt(timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION timestamp_gt(timestamp with time zone, timestamp with time zone) RETURNS boolean
    AS $$timestamp_gt$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.timestamp_gt(timestamp with time zone, timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 70 (class 1255 OID 16882)
-- Dependencies: 5
-- Name: timestamp_larger(timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION timestamp_larger(timestamp with time zone, timestamp with time zone) RETURNS timestamp with time zone
    AS $$timestamp_larger$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.timestamp_larger(timestamp with time zone, timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 71 (class 1255 OID 16883)
-- Dependencies: 5
-- Name: timestamp_le(timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION timestamp_le(timestamp with time zone, timestamp with time zone) RETURNS boolean
    AS $$timestamp_le$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.timestamp_le(timestamp with time zone, timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 72 (class 1255 OID 16884)
-- Dependencies: 5
-- Name: timestamp_lt(timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION timestamp_lt(timestamp with time zone, timestamp with time zone) RETURNS boolean
    AS $$timestamp_lt$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.timestamp_lt(timestamp with time zone, timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 73 (class 1255 OID 16885)
-- Dependencies: 5
-- Name: timestamp_mi(timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION timestamp_mi(timestamp with time zone, timestamp with time zone) RETURNS interval
    AS $$timestamp_mi$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.timestamp_mi(timestamp with time zone, timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 74 (class 1255 OID 16886)
-- Dependencies: 5
-- Name: timestamp_ne(timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION timestamp_ne(timestamp with time zone, timestamp with time zone) RETURNS boolean
    AS $$timestamp_ne$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.timestamp_ne(timestamp with time zone, timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 75 (class 1255 OID 16887)
-- Dependencies: 5
-- Name: timestamp_smaller(timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION timestamp_smaller(timestamp with time zone, timestamp with time zone) RETURNS timestamp with time zone
    AS $$timestamp_smaller$$
    LANGUAGE internal STRICT;


ALTER FUNCTION public.timestamp_smaller(timestamp with time zone, timestamp with time zone) OWNER TO postgres;

--
-- TOC entry 1311 (class 1259 OID 16888)
-- Dependencies: 5
-- Name: abonador; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE abonador (
    pes_codigo integer,
    fic_codigo integer,
    abo_codigo integer,
    abo_nome character(55),
    abo_pes_codigo integer
);


ALTER TABLE public.abonador OWNER TO bdmessias;

--
-- TOC entry 1312 (class 1259 OID 16890)
-- Dependencies: 5
-- Name: acoes; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE acoes (
    acoes_codigo integer NOT NULL,
    acoes_descricao character(40),
    acoes_func integer,
    acoes_data date
);


ALTER TABLE public.acoes OWNER TO bdmessias;

--
-- TOC entry 1313 (class 1259 OID 16892)
-- Dependencies: 5
-- Name: atoslav; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE atoslav (
    atos_tipato integer,
    atos_codigo integer NOT NULL,
    atos_livnro character(4) NOT NULL,
    atos_flsnro character(3) NOT NULL,
    atos_flsvrs character(1),
    atos_datlavratura date,
    atos_escrevente integer,
    atos_valcustas double precision,
    atos_descrobjeto text,
    atos_valobj double precision,
    atos_arqtexto character(100),
    atos_datcad date,
    atos_funccad integer,
    atos_protnro character(8),
    atos_natureza integer,
    atos_dat_rec_funrejus date,
    atos_val_rec_funrejus real
);


ALTER TABLE public.atoslav OWNER TO bdmessias;

--
-- TOC entry 1314 (class 1259 OID 16897)
-- Dependencies: 5
-- Name: atoslav_docs; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE atoslav_docs (
    atos_codigo integer,
    atos_documento oid
);


ALTER TABLE public.atoslav_docs OWNER TO bdmessias;

--
-- TOC entry 1315 (class 1259 OID 16899)
-- Dependencies: 5
-- Name: bairros; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE bairros (
    cepbai_codigo integer,
    cepbai_extenso character(60),
    cepbai_loc character(6),
    cepbai_abrev character(30),
    uf_codigo integer
);


ALTER TABLE public.bairros OWNER TO bdmessias;

--
-- TOC entry 1316 (class 1259 OID 16901)
-- Dependencies: 5
-- Name: cargos; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE cargos (
    cargo_codigo integer NOT NULL,
    cargo_descricao character(30)
);


ALTER TABLE public.cargos OWNER TO bdmessias;

--
-- TOC entry 1317 (class 1259 OID 16903)
-- Dependencies: 5
-- Name: cartorio; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE cartorio (
    crt_codigo integer,
    crt_nome character(55),
    crt_telefone character(12),
    ceploc_codigo integer,
    crt_cep integer,
    cepbai_codigo integer,
    crt_complemento text,
    crt_nro integer,
    crt_status integer,
    crt_data_cadastro date,
    crt_ult_atualizacao date,
    func_codigo integer
);


ALTER TABLE public.cartorio OWNER TO bdmessias;

--
-- TOC entry 1318 (class 1259 OID 16918)
-- Dependencies: 5
-- Name: cep; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE cep (
    ceplog_codigo integer,
    ceplog_nome character(70),
    ceplog_cep integer NOT NULL,
    ceplog_bai integer,
    ceplog_uf integer,
    ceplog_tipo character(3),
    ceplog_loc integer
);


ALTER TABLE public.cep OWNER TO bdmessias;

--
-- TOC entry 1319 (class 1259 OID 16920)
-- Dependencies: 5
-- Name: cep_especial; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE cep_especial (
    cepesp_codigo integer,
    cepesp_nome character(70),
    cepesp_cep integer,
    cepesp_bai integer,
    uf_codigo integer,
    cepesp_loc character(6)
);


ALTER TABLE public.cep_especial OWNER TO bdmessias;

--
-- TOC entry 1320 (class 1259 OID 16922)
-- Dependencies: 5
-- Name: cep_pr; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE cep_pr (
    ceplog_codigo integer,
    ceplog_nome character(70),
    ceplog_cep integer,
    ceplog_bai integer,
    ceplog_tipo character(3),
    ceplog_loc integer
);


ALTER TABLE public.cep_pr OWNER TO bdmessias;

--
-- TOC entry 1321 (class 1259 OID 16924)
-- Dependencies: 5
-- Name: cep_unico; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE cep_unico (
    pes_codigo integer,
    cepunic_bairro character(55),
    cepunic_rua character(55)
);


ALTER TABLE public.cep_unico OWNER TO bdmessias;

--
-- TOC entry 1322 (class 1259 OID 16926)
-- Dependencies: 5
-- Name: cep_unico_crt; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE cep_unico_crt (
    crt_codigo smallint NOT NULL,
    cepunic_bairro character(60),
    cepunic_rua character(60)
);


ALTER TABLE public.cep_unico_crt OWNER TO bdmessias;

--
-- TOC entry 1323 (class 1259 OID 16928)
-- Dependencies: 5
-- Name: controle_notas; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE controle_notas (
    func integer NOT NULL,
    data date NOT NULL,
    num_reg integer
);


ALTER TABLE public.controle_notas OWNER TO bdmessias;

--
-- TOC entry 1324 (class 1259 OID 16930)
-- Dependencies: 5
-- Name: dbf; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE dbf (
    ficha integer,
    nome character(60)
);


ALTER TABLE public.dbf OWNER TO bdmessias;

--
-- TOC entry 1325 (class 1259 OID 16932)
-- Dependencies: 5
-- Name: documentos; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE documentos (
    atos_codigo integer,
    atos_documento oid
);


ALTER TABLE public.documentos OWNER TO bdmessias;

--
-- TOC entry 1326 (class 1259 OID 16934)
-- Dependencies: 5
-- Name: empresa; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE empresa (
    empr_codigo integer NOT NULL,
    empr_nome_fantasia character(40),
    empr_razao_social character(70),
    empr_telefone1 character(12),
    empr_telefone2 character(12),
    empr_telefone3 character(12),
    empr_ramo integer,
    empr_inscr_estad character(16),
    empr_inscr_munic character(16),
    empr_cgc character(14),
    empr_presidente character(50),
    empr_pessoa_contato character(50),
    empr_end_cidade integer,
    empr_end_bairro integer,
    empr_end_uf integer,
    empr_end_cep integer,
    empr_end_nro integer,
    empr_complemento character(20),
    empr_matriz integer,
    empr_data_cadastro date,
    empr_ult_atualizacao date,
    empr_func integer,
    empr_atoslav boolean,
    utilizada boolean
);


ALTER TABLE public.empresa OWNER TO bdmessias;

--
-- TOC entry 1327 (class 1259 OID 16936)
-- Dependencies: 5
-- Name: envio_sinal_publico; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE envio_sinal_publico (
    crt_codigo integer,
    sinalenv_data_envio date,
    func_codigo integer
);


ALTER TABLE public.envio_sinal_publico OWNER TO bdmessias;

--
-- TOC entry 1328 (class 1259 OID 16967)
-- Dependencies: 5
-- Name: escrevente; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE escrevente (
    crt_codigo integer NOT NULL,
    pes_nome character(55),
    esc_data_cadastro date,
    esc_ult_atualizacao date,
    func_codigo integer
);


ALTER TABLE public.escrevente OWNER TO bdmessias;

--
-- TOC entry 1329 (class 1259 OID 16969)
-- Dependencies: 5
-- Name: estado_civil; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE estado_civil (
    estciv_codigo integer NOT NULL,
    estciv_descricao character(20),
    genero integer
);


ALTER TABLE public.estado_civil OWNER TO bdmessias;

--
-- TOC entry 1330 (class 1259 OID 16971)
-- Dependencies: 5
-- Name: ficha; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE ficha (
    pes_codigo integer,
    fic_codigo integer NOT NULL,
    fic_observacao text,
    fic_data_cadastro date,
    fic_ult_atualizacao date,
    func_codigo integer,
    fic_status smallint,
    fic_observacao2 character(90),
    fic_escrevente integer
);


ALTER TABLE public.ficha OWNER TO bdmessias;

--
-- TOC entry 1331 (class 1259 OID 16976)
-- Dependencies: 5
-- Name: ficha_salvar; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE ficha_salvar (
    ficha integer,
    pessoa integer,
    data_cadastro date,
    ult_atualizacao date
);


ALTER TABLE public.ficha_salvar OWNER TO bdmessias;

--
-- TOC entry 1332 (class 1259 OID 16978)
-- Dependencies: 5
-- Name: funcionario; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE funcionario (
    func_codigo integer NOT NULL,
    func_nome character(50),
    func_funcao integer,
    func_data_admissao date,
    func_data_demissao date,
    func_ult_atualizacao date,
    func_rua character(40),
    func_cep character(9),
    func_bairro character(20),
    func_cidade character(20),
    func_uf character(2),
    func_telefone character(9),
    func_pes_contato character(30),
    func_nivel integer,
    func_login character(20),
    func_senha character(15),
    func_data_nascto date,
    img_assinatura oid,
    img_rubrica oid
);


ALTER TABLE public.funcionario OWNER TO bdmessias;

--
-- TOC entry 1333 (class 1259 OID 16980)
-- Dependencies: 5
-- Name: imagens_ficha; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE imagens_ficha (
    fic_codigo integer,
    fic_imagem oid,
    fic_verso oid,
    doc_imagem oid,
    doc_verso oid
);


ALTER TABLE public.imagens_ficha OWNER TO bdmessias;

--
-- TOC entry 1334 (class 1259 OID 16982)
-- Dependencies: 5
-- Name: imagens_sinpub; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE imagens_sinpub (
    sinpub_codigo integer,
    assinatura oid
);


ALTER TABLE public.imagens_sinpub OWNER TO bdmessias;

--
-- TOC entry 1335 (class 1259 OID 16984)
-- Dependencies: 5
-- Name: indisp; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE indisp (
    isb_codigo integer,
    isb_nome character(50) NOT NULL,
    isb_cpf character(11) NOT NULL,
    isb_rge character(15) NOT NULL,
    isb_protocolo character(30),
    isb_protoc_data date,
    isb_oficio_circ character(15),
    isb_oficio_data date,
    isb_susp_doc character(30),
    isb_susp_data date,
    isb_observacao text,
    isb_livro character(4),
    isb_folha character(4),
    isb_fun integer,
    isb_data_cadastro date,
    isb_ult_atualizacao date
);


ALTER TABLE public.indisp OWNER TO bdmessias;

--
-- TOC entry 1336 (class 1259 OID 16989)
-- Dependencies: 5
-- Name: intermediaria; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE intermediaria (
    pes_codigo integer,
    fic_codigo integer,
    cartorio integer
);


ALTER TABLE public.intermediaria OWNER TO bdmessias;

--
-- TOC entry 1337 (class 1259 OID 16991)
-- Dependencies: 5
-- Name: localidades; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE localidades (
    ceploc_codigo integer NOT NULL,
    ceploc_nome character(60),
    ceploc_cep integer,
    uf_codigo integer,
    ceploc_tipo character(1),
    ceploc_sit character(1)
);


ALTER TABLE public.localidades OWNER TO bdmessias;

--
-- TOC entry 1357 (class 1259 OID 17093)
-- Dependencies: 5
-- Name: natureza; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE natureza (
    natureza_codigo integer NOT NULL,
    natureza_tipo integer,
    natureza_descricao text,
    natureza_data_cadastro date,
    natureza_ult_atualizacao date,
    natureza_func integer
);


ALTER TABLE public.natureza OWNER TO bdmessias;

--
-- TOC entry 1338 (class 1259 OID 16995)
-- Dependencies: 5
-- Name: nova_nac; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE nova_nac (
    pes_codigo integer NOT NULL,
    nac character(40)
);


ALTER TABLE public.nova_nac OWNER TO bdmessias;

--
-- TOC entry 1339 (class 1259 OID 16997)
-- Dependencies: 5
-- Name: nova_rua; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE nova_rua (
    pes_codigo integer NOT NULL,
    rua character(50),
    cidade character(60),
    bairro character(60),
    data date,
    funcionario integer
);


ALTER TABLE public.nova_rua OWNER TO bdmessias;

--
-- TOC entry 1340 (class 1259 OID 16999)
-- Dependencies: 5
-- Name: nova_rua_crt; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE nova_rua_crt (
    crt_codigo integer NOT NULL,
    cidade character(60),
    bairro character(60),
    rua character(60),
    data date,
    funcionario integer
);


ALTER TABLE public.nova_rua_crt OWNER TO bdmessias;

--
-- TOC entry 1341 (class 1259 OID 17001)
-- Dependencies: 5
-- Name: outorgado; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE outorgado (
    atos_codigo integer NOT NULL,
    pes_codigo integer NOT NULL,
    fic_codigo integer,
    tipo integer
);


ALTER TABLE public.outorgado OWNER TO bdmessias;

--
-- TOC entry 1342 (class 1259 OID 17003)
-- Dependencies: 5
-- Name: outorgante; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE outorgante (
    atos_codigo integer NOT NULL,
    pes_codigo integer NOT NULL,
    fic_codigo integer,
    tipo integer
);


ALTER TABLE public.outorgante OWNER TO bdmessias;

--
-- TOC entry 1343 (class 1259 OID 17005)
-- Dependencies: 5
-- Name: paises; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE paises (
    pais_codigo integer NOT NULL,
    pais_descricao character(50),
    pais_nacionalidade character(45)
);


ALTER TABLE public.paises OWNER TO bdmessias;

--
-- TOC entry 1344 (class 1259 OID 17007)
-- Dependencies: 5
-- Name: pessoa; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE pessoa (
    pes_codigo integer NOT NULL,
    pes_nome character(55),
    pes_nacionalidade integer,
    pes_data_nascto date,
    pes_local_nascto integer,
    pes_loc_nasc_uf integer,
    pes_sexo integer,
    pes_est_civil integer,
    pes_reg_bens integer,
    pes_nome_conj character(55),
    pes_profissao integer,
    pes_rg character(15),
    pes_rg_dat_exp date,
    pes_cpf character(14),
    pes_doc_profissao character(20),
    pes_pai character(50),
    pes_mae character(50),
    pes_end_cidade integer,
    pes_end_bairro integer,
    pes_end_uf integer,
    pes_end_cep character(10),
    pes_end_nro integer,
    pes_complemento character(20),
    pes_telefone1 character(12),
    pes_telefone2 character(12),
    pes_data_cadastro date,
    pes_ult_atualizacao date,
    func_codigo integer,
    pes_observacao text,
    pes_sobrenome character(20),
    pes_status smallint,
    pes_rg_org_emis integer,
    pes_fic boolean,
    pes_atoslav boolean,
    pes_login character varying(20),
    pes_senha character varying(20)
);


ALTER TABLE public.pessoa OWNER TO bdmessias;

--
-- TOC entry 1345 (class 1259 OID 17038)
-- Dependencies: 5
-- Name: profissao; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE profissao (
    prf_codigo integer NOT NULL,
    prf_descricao character(50)
);


ALTER TABLE public.profissao OWNER TO bdmessias;

--
-- TOC entry 1346 (class 1259 OID 17040)
-- Dependencies: 5
-- Name: ramo; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE ramo (
    ramo_codigo integer NOT NULL,
    ramo_descricao character(50)
);


ALTER TABLE public.ramo OWNER TO bdmessias;

--
-- TOC entry 1347 (class 1259 OID 17042)
-- Dependencies: 5
-- Name: referencia; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE referencia (
    referencia integer
);


ALTER TABLE public.referencia OWNER TO bdmessias;

--
-- TOC entry 1348 (class 1259 OID 17044)
-- Dependencies: 5
-- Name: regime_de_bens; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE regime_de_bens (
    regbens_codigo integer NOT NULL,
    regbens_descricao character(20),
    regbens_sigla character(10)
);


ALTER TABLE public.regime_de_bens OWNER TO bdmessias;

--
-- TOC entry 1349 (class 1259 OID 17046)
-- Dependencies: 5
-- Name: sin_pub; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE sin_pub (
    sinpub_codigo integer,
    sinpub_nome character(55),
    crt_codigo integer,
    sinpub_funcao integer,
    sinpub_status integer,
    sinpub_cpf character(15),
    sinpub_rg character(15),
    sinpub_data_cadastro date,
    sinpub_ult_atualizacao date,
    func_codigo integer,
    sinpub_envio_cartao date,
    sinpub_data_validade date
);


ALTER TABLE public.sin_pub OWNER TO bdmessias;

--
-- TOC entry 1350 (class 1259 OID 17048)
-- Dependencies: 5
-- Name: sin_pub_temp; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE sin_pub_temp (
    sinpub_codigo integer NOT NULL,
    sinpub_nome character(50),
    crt_codigo integer,
    sinpub_funcao integer,
    sinpub_status integer,
    sinpub_cpf character(20),
    sinpub_rg character(20),
    sinpub_data_cadastro date,
    sinpub_ult_atualizacao date,
    func_codigo integer
);


ALTER TABLE public.sin_pub_temp OWNER TO bdmessias;

--
-- TOC entry 1351 (class 1259 OID 17050)
-- Dependencies: 5
-- Name: sinalenv; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE sinalenv (
    sinalenv_fic_nro integer NOT NULL,
    sinalenv_num_oficio character(9),
    crt_codigo integer,
    func_codigo integer,
    sinalenv_data_envio date,
    sinalenv_esc1 integer,
    sinalenv_esc2 integer,
    sinalenv_esc3 integer,
    sinalenv_esc4 integer,
    sinalenv_esc5 integer,
    sinalenv_esc6 integer,
    sinalenv_esc7 integer,
    sinalenv_esc8 integer,
    sinalenv_esc9 integer,
    sinalenv_esc10 integer,
    tipo boolean
);


ALTER TABLE public.sinalenv OWNER TO bdmessias;

--
-- TOC entry 1352 (class 1259 OID 17054)
-- Dependencies: 5
-- Name: tipatos; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE tipatos (
    tipato_codigo integer NOT NULL,
    tipato_descricao character(100),
    tipato_funccad integer,
    tipato_datcad date
);


ALTER TABLE public.tipatos OWNER TO bdmessias;

--
-- TOC entry 1353 (class 1259 OID 17056)
-- Dependencies: 5
-- Name: tipos_de_logradouros; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE tipos_de_logradouros (
    ceptip_codigo character(3) NOT NULL,
    ceptip_log integer,
    ceptip_nome character(30),
    ceptip_abrev character(10)
);


ALTER TABLE public.tipos_de_logradouros OWNER TO bdmessias;

SET default_with_oids = false;

--
-- TOC entry 1360 (class 1259 OID 17304)
-- Dependencies: 5
-- Name: tiposolicitacao; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tiposolicitacao (
    tipsol_codigo integer NOT NULL,
    tipsol_descri character varying(60)
);


ALTER TABLE public.tiposolicitacao OWNER TO postgres;

SET default_with_oids = true;

--
-- TOC entry 1354 (class 1259 OID 17058)
-- Dependencies: 5
-- Name: tramitacao_acoes; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE tramitacao_acoes (
    tramacoes_tramita_codigo integer NOT NULL,
    tramacoes_acao_codigo integer NOT NULL,
    tramacoes_ordem integer,
    tramacoes_func integer,
    tramacoes_data date
);


ALTER TABLE public.tramitacao_acoes OWNER TO bdmessias;

--
-- TOC entry 1355 (class 1259 OID 17060)
-- Dependencies: 5
-- Name: uf; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE uf (
    uf_codigo integer NOT NULL,
    uf_descricao character(50),
    uf_sigla character(2)
);


ALTER TABLE public.uf OWNER TO bdmessias;

--
-- TOC entry 1356 (class 1259 OID 17062)
-- Dependencies: 5
-- Name: usuario; Type: TABLE; Schema: public; Owner: bdmessias; Tablespace: 
--

CREATE TABLE usuario (
    usu_codigo integer NOT NULL,
    pes_nome character(55),
    usu_login character(10),
    usu_senha character(10),
    usu_data_cadastro date,
    usu_ult_atualizacao date,
    func_codigo integer,
    usu_nivel integer
);


ALTER TABLE public.usuario OWNER TO bdmessias;

SET search_path = web, pg_catalog;

SET default_with_oids = false;

--
-- TOC entry 1367 (class 1259 OID 17342)
-- Dependencies: 6
-- Name: detalhepagamento; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE detalhepagamento (
    detpag_codigo integer NOT NULL,
    solser_codigo integer NOT NULL,
    detpag_descri character varying(100),
    detpag_datcad timestamp without time zone,
    detpag_valpag double precision
);


ALTER TABLE web.detalhepagamento OWNER TO postgres;

--
-- TOC entry 1366 (class 1259 OID 17336)
-- Dependencies: 6
-- Name: detalheservico; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE detalheservico (
    detser_codigo integer NOT NULL,
    solser_codigo integer NOT NULL,
    status_codigo integer NOT NULL,
    detser_descri character varying(200),
    detser_datcad timestamp without time zone,
    detser_valor double precision,
    func_codigo integer
);


ALTER TABLE web.detalheservico OWNER TO postgres;

--
-- TOC entry 1369 (class 1259 OID 17348)
-- Dependencies: 6
-- Name: documento; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE documento (
    doc_codigo integer NOT NULL,
    natureza_codigo integer NOT NULL,
    doc_objato character varying(1000)
);


ALTER TABLE web.documento OWNER TO postgres;

--
-- TOC entry 1368 (class 1259 OID 17344)
-- Dependencies: 6
-- Name: documento_participantes; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE documento_participantes (
    doc_codigo integer NOT NULL,
    pes_codigo integer NOT NULL,
    pap_codigo integer NOT NULL
);


ALTER TABLE web.documento_participantes OWNER TO postgres;

--
-- TOC entry 1363 (class 1259 OID 17320)
-- Dependencies: 6
-- Name: documentoarquivo; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE documentoarquivo (
    doc_codigo integer NOT NULL,
    doc_arquivo oid,
    doc_assinado oid
);


ALTER TABLE web.documentoarquivo OWNER TO postgres;

--
-- TOC entry 1370 (class 1259 OID 17352)
-- Dependencies: 6
-- Name: entregasolicitacao; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE entregasolicitacao (
    solser_codigo integer NOT NULL,
    forent_codigo integer NOT NULL,
    entsol_logradouro character varying(60),
    entsol_numero integer,
    entsol_comple character varying(25),
    entsol_cidade integer,
    entsol_uf integer,
    entsol_cep integer
);


ALTER TABLE web.entregasolicitacao OWNER TO postgres;

--
-- TOC entry 1358 (class 1259 OID 17296)
-- Dependencies: 6
-- Name: formaentrega; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE formaentrega (
    forent_codigo integer NOT NULL,
    forent_descri character varying(60)
);


ALTER TABLE web.formaentrega OWNER TO postgres;

--
-- TOC entry 1359 (class 1259 OID 17300)
-- Dependencies: 6
-- Name: papel; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE papel (
    pap_codigo integer NOT NULL,
    pap_descri character varying(20)
);


ALTER TABLE web.papel OWNER TO postgres;

--
-- TOC entry 1364 (class 1259 OID 17324)
-- Dependencies: 6
-- Name: papel_naturezadocumento; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE papel_naturezadocumento (
    natureza_codigo integer NOT NULL,
    pap_codigo integer NOT NULL
);


ALTER TABLE web.papel_naturezadocumento OWNER TO postgres;

--
-- TOC entry 1362 (class 1259 OID 17312)
-- Dependencies: 6
-- Name: pessoa_temp; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE pessoa_temp (
    pes_codigo integer NOT NULL,
    pes_nome character(55),
    pes_data_nascto date,
    pes_sexo integer,
    pes_rg character(15),
    pes_cpf character(14),
    pes_mae character(50) NOT NULL,
    pes_pai character(50),
    pes_telefone1 integer,
    pes_end_cidade integer,
    pes_end_uf character varying(2),
    pes_end_cep integer,
    pes_end_nro character varying(60) NOT NULL,
    pes_end_comp integer
);


ALTER TABLE web.pessoa_temp OWNER TO postgres;

--
-- TOC entry 1371 (class 1259 OID 17356)
-- Dependencies: 6
-- Name: solicitacaoservico; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE solicitacaoservico (
    solser_codigo integer NOT NULL,
    pes_codigo integer NOT NULL,
    doc_codigo integer NOT NULL,
    tipsol_codigo integer NOT NULL,
    solser_datcad timestamp without time zone
);


ALTER TABLE web.solicitacaoservico OWNER TO postgres;

--
-- TOC entry 1365 (class 1259 OID 17328)
-- Dependencies: 6
-- Name: status; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE status (
    status_codigo integer NOT NULL,
    status_tipo integer NOT NULL,
    status_descri character varying(20)
);


ALTER TABLE web.status OWNER TO postgres;

--
-- TOC entry 1361 (class 1259 OID 17308)
-- Dependencies: 6
-- Name: tiposolicitacao; Type: TABLE; Schema: web; Owner: postgres; Tablespace: 
--

CREATE TABLE tiposolicitacao (
    tipsol_codigo integer NOT NULL,
    tipsol_descri character varying(60)
);


ALTER TABLE web.tiposolicitacao OWNER TO postgres;

SET search_path = public, pg_catalog;

--
-- TOC entry 1741 (class 0 OID 16888)
-- Dependencies: 1311
-- Data for Name: abonador; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1742 (class 0 OID 16890)
-- Dependencies: 1312
-- Data for Name: acoes; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1743 (class 0 OID 16892)
-- Dependencies: 1313
-- Data for Name: atoslav; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1744 (class 0 OID 16897)
-- Dependencies: 1314
-- Data for Name: atoslav_docs; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1745 (class 0 OID 16899)
-- Dependencies: 1315
-- Data for Name: bairros; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1746 (class 0 OID 16901)
-- Dependencies: 1316
-- Data for Name: cargos; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1747 (class 0 OID 16903)
-- Dependencies: 1317
-- Data for Name: cartorio; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1748 (class 0 OID 16918)
-- Dependencies: 1318
-- Data for Name: cep; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1749 (class 0 OID 16920)
-- Dependencies: 1319
-- Data for Name: cep_especial; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1750 (class 0 OID 16922)
-- Dependencies: 1320
-- Data for Name: cep_pr; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1751 (class 0 OID 16924)
-- Dependencies: 1321
-- Data for Name: cep_unico; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1752 (class 0 OID 16926)
-- Dependencies: 1322
-- Data for Name: cep_unico_crt; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1753 (class 0 OID 16928)
-- Dependencies: 1323
-- Data for Name: controle_notas; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1754 (class 0 OID 16930)
-- Dependencies: 1324
-- Data for Name: dbf; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1755 (class 0 OID 16932)
-- Dependencies: 1325
-- Data for Name: documentos; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1756 (class 0 OID 16934)
-- Dependencies: 1326
-- Data for Name: empresa; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1757 (class 0 OID 16936)
-- Dependencies: 1327
-- Data for Name: envio_sinal_publico; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1758 (class 0 OID 16967)
-- Dependencies: 1328
-- Data for Name: escrevente; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1759 (class 0 OID 16969)
-- Dependencies: 1329
-- Data for Name: estado_civil; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1760 (class 0 OID 16971)
-- Dependencies: 1330
-- Data for Name: ficha; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1761 (class 0 OID 16976)
-- Dependencies: 1331
-- Data for Name: ficha_salvar; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1762 (class 0 OID 16978)
-- Dependencies: 1332
-- Data for Name: funcionario; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1763 (class 0 OID 16980)
-- Dependencies: 1333
-- Data for Name: imagens_ficha; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1764 (class 0 OID 16982)
-- Dependencies: 1334
-- Data for Name: imagens_sinpub; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1765 (class 0 OID 16984)
-- Dependencies: 1335
-- Data for Name: indisp; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1766 (class 0 OID 16989)
-- Dependencies: 1336
-- Data for Name: intermediaria; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1767 (class 0 OID 16991)
-- Dependencies: 1337
-- Data for Name: localidades; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1787 (class 0 OID 17093)
-- Dependencies: 1357
-- Data for Name: natureza; Type: TABLE DATA; Schema: public; Owner: bdmessias
--

INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (1, 1, 'ADITAMENTO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (2, 1, 'ADITAMENTO E RE-RATIFICAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (3, 1, 'AFORAMENTO OU ENFITEUSE', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (4, 1, 'AUTORIZAO PARA FILHO MENOR PBERE COMERCIAR', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (5, 1, 'ANTICRESE', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (6, 1, 'AUTORIZAO PARA COMERCIAR DO MARIDO PARA A MULHER', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (7, 1, 'ALTERAO DE CONTRATO SOCIAL DE SOCIEDADE POR QUOTAS DE RESPONSABILIDADE LIMITADA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (8, 1, 'BEM DE FAMLIA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (9, 1, 'CAUO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (10, 1, 'CESSO DE DIREITOS DE PROMESSA DE VENDA (com intervenincia do promitente vendedor)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (11, 1, 'CESSO DE CRDITO ORIGINRIO DE HIPOTECA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (12, 1, 'CESSO E TRANSFERNCIA DE DIREITOS HEREDITRIOS E DE MEAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (13, 1, 'CESSO E TRANSFERNCIA DE DIREITOS DE MEAO E DE HERANA (somente a mulher cedendo os dois direitos)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (14, 1, 'CESSO E TRANSFERNCIA DE DIREITOS E AO A HERANA (a ttulo gratuito) OU DOAO DE DIREITOS HEREDITRIOS E DE MEAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (15, 1, 'CESSO DE DIREITOS E AO AO LEGADO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (16, 1, 'CESSO DE POSSE', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (17, 1, 'CESSO DE DIREITOS DE USO DE GUA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (18, 1, 'CESSO DE DIREITOS DE USO E GOZO DE VAGA DE GARAGEM, SEM FRAO IDEAL DO TERRENO E VINCULADA A APARTAMENTO (a fim de ser desligada e incorporada ao apartamento do adquirente)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (19, 1, 'CESSO DE DIREITOS AUTORAIS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (20, 1, 'CESSO DE DIREITOS DE CONTRATO DE LOCAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (21, 1, 'CESSO DE DIREITOS AO USO E GOZO DE VAGA DE GARAGEM SEM FRAO IDEAL DO TERRENO VINCULADA A MESMA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (22, 1, 'CESSO DE DIREITOS DE USUFRUTO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (23, 1, 'CISO PELA ENTREGA DE IMVEIS DE SOCIEDADE ANNIMA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (24, 1, 'CONTRATO DE COMODATO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (25, 1, 'COMPRA E VENDA (simples)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (26, 1, 'COMPRA E VENDA E CESSO DE DIREITOS E AO A HERANA DE DIREITOS HEREDITRIOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (27, 1, 'COMPRA E VENDA DA NUA PROPRIEDADE E RESERVA DE USUFRUTO VITALCIO EM FAVOR DO VENDEDOR', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (28, 1, 'COMPRA E VENDA CUMULADA COM DOAO EM DINHEIRO, COM RESERVA DE USUFRUTO SOBRE O IMVEL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (29, 1, 'COMPRA E VENDA E INCORPORAO DE BENS (em decorrncia de pagamento de cotas subscritas de aumento de capital de firma comercial)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (30, 1, 'COMPRA E VENDA DE BENS MVEIS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (31, 1, 'COMPRA E VENDA DE IMVEL AD CORPUS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (32, 1, 'COMPRA E VENDA DE IMVEL AD MENSURAM', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (33, 1, 'COMPRA E VENDA COM RESERVA DE DOMNIO (Art. 521. Na venda de coisa mvel, pode o vendedor reservar para si a propriedade, at que o preo esteja integralmente pago E ARTIGOS SEGUINTES.)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (34, 1, 'COMPRA E VENDA COM PACTO DE MELHOR COMPRADOR', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (35, 1, 'COMPRA E VENDA COM PACTO ADJETO DE HIPOTECA (o imvel  vendido com financiamento pelo prprio vendedor)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (36, 1, 'COMPRA E VENDA COM PACTO DE PREEMPO (escritura de compra e venda, com pacto de preempo)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (37, 1, 'COMPRA E VENDA COM VRIOS COMPRADORES COM A FINALIDADE DE CONSTRUREM UM EDIFCIO NOS MOLDES DA LEI N 4591', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (38, 1, 'COMPRA E VENDA DE ASCENDENTES PARA DESCENDENTES COM ANUNCIA DOS DEMAIS.', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (39, 1, 'COMPRA E VENDA E CONTRATO DE CONSTRUO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (40, 1, 'COMPRA E VENDA DE DOAO DE DIREITOS AQUISITIVOS E DE CESSO DE MEAO E DE HERANA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (41, 1, 'COMPRA E VENDA COM O OBJETIVO DE SER FEITA UMA INCORPORAO (Lei 4591)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (42, 1, 'CONVENO DE CONDOMNIO DE EDIFCIO REGULADA PELA LEI 4591', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (43, 1, 'CONVENO DE CONDOMNIO DE CASAS DE VILA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (44, 1, 'CONFISSO DE DVIDA COM GARANTIA HIPOTECRIA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (45, 1, 'CONTRATO PARTICULAR PARA EXPLORAR CEMITRIO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (46, 1, 'COMPROMISSO DE MANUTENO, EM QUE O DECLARANTE SE COMPROMETE A MANTER NO PAS PESSOA QUE VEM DO EXTERIOR', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (47, 1, 'CONFISSO DE DVIDA COM GARANTIA HIPOTECRIA PARA PAGAMENTO PARCELADO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (48, 1, 'CONFISSO DE DVIDA COM ALIENAO FIDUCIRIA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (49, 1, 'CONTITUIO DE RENDA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (50, 1, 'CONTRATO DE LOCAO DE IMVEL RURAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (51, 1, 'CONTRATO DE LOCAO DE IMVEL RESIDENCIAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (52, 1, 'CONTRATO DE PRORROGAO DE PRAZO DE CONTRATO DE LOCAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (53, 1, 'CONTRATO DE LOCAO DE SERVIOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (54, 1, 'CONTRATO DE SUBLOCAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (55, 1, 'CONTRATO DE REPRESENTAO DE OBRA LITERRIA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (56, 1, 'CONTRATO DE CONSTRUO POR EMPREITEIRA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (57, 1, 'CONTRATO DE CONSTRUO POR ADMINISTRAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (58, 1, 'CONTRATO DE CONSTITUIO DE FUNDAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (59, 1, 'CONTRATO DE CONSTITUIO DE SERVIDO DE GUA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (60, 1, 'CONTRATO DE CONSTITUIO DE SERVIDO DE PASSAGEM', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (61, 1, 'CONTRATO DE CONSTITUIO DE SERVIDO DE LUZ E AR', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (62, 1, 'CONTRATO DE CONSTITUIO DE SOCIEDADE ANNIMA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (63, 1, 'CONTRATO DE CONSTITUIO DE SOCIEDADE CIVIL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (64, 1, 'CONTRATO DE CONSTITUIO DE SOCIEDADE EM COMANDITA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (65, 1, 'CONTRATO DE CONSTITUIO DE SOCIEDADE LIMITADA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (66, 1, 'CONTRATO DE CONSTITUIO DE SOCIEDADE EM NOME COLETIVO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (67, 1, 'CONTRATO DE CONSTITUIO DE USUFRUTO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (68, 1, 'DAO EM PAGAMENTO DE PARTE DA DVIDA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (69, 1, 'DAO EM PAGAMENTO PURA E SIMPLES', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (70, 1, 'DISSOLUO DE SOCIEDADE POR COTAS DE RESPONSABILIDADE LIMITADA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (71, 1, 'DISSOLUO DE SOCIEDADE DE FATO E COM DIVISO DE BENS (casal que vive maritalmente comop se casados fossem, desfaz a sociedade de fato e divide os bens adquiridos na convivncia)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (72, 1, 'DECLARATRIA DE CASAL QUE SE SEPARA DE FATO E AINDA NO SE PODE SEPARAR DE DIREITO PELO FATO DE TER APENAS UM ANO DE CASADO, E QUER DETERMINAR COMO OCORER A SEPARAO NO MOMENTO OPORTUNO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (73, 1, 'DECLARATRIA DE DUAS PESSOAS SOLTEIRAS QUE MANTM VIDA EM COMUM H MAIS DE TRS ANOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (74, 1, 'DECLARATRIA PARA EFEITOS DE RECEBER SEGUROS EM GERAL E PENSO DA PREVIDNCIA SOCIAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (75, 1, 'DOAO SUJEITA A ENCARGO (em que os donatrio se obrigam a cumprir uma condio imposta pelos doadores)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (76, 1, 'DOAO SIMPLES SEM NENHUMA CONDIO IMPEDITIVA DE DISPOR DO IMVEL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (77, 1, 'DOAO COM RESERVA E INSTITUIO DE USUFRUTO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (78, 1, 'EMANCIPAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (79, 1, 'EXTINO DE CONDOMNIO DE EDIFCIO DE APARTAMENTOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (80, 1, 'EXTINO DE USUFRUTO POR ACORDO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (81, 1, 'FIANA DE APRESENTAO DE NOVOS FIADORES EM VIRTUDE DE FALECIMENTO DO FIADOR DO CONTRATO ORIGINAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (82, 1, 'FIANA E CONTRATO DE TRABALHO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (83, 1, 'INCORPORAO DE BEM IMVEL COMO PAGAMENTO DE COTAS SUBSCRITAS EM SOCIEDADE LIMITADA PARA AUMENTO DE CAPITAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (84, 1, 'NEGATRIA DE CONSTITUIO DE SERVIDO DE PASSAGEM (por tempo limitado)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (85, 1, 'PARCERIA AGRCOLA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (86, 1, 'PARCERIA PECURIA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (87, 1, 'PROMESSA DE CESSO DE DIREITOS AQUISITIVOS A PRAZO E COM TRANSFERNCIA DE FINANCIAMENTO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (88, 1, 'PROMESSA DE COMPRA E VENDA COM SINAL E O SALDO NO ATO DEFINITIVO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (89, 1, 'PROMESSA DE COMPRA E VENDA DE IMVEL A PRAZO E COM PAGAMENTO EM PRESTAES MENSAIS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (90, 1, 'PROMESSA DE COMPRA E VENDA COM QUITAO DE PREO E OUTORGA DE PROCURAO PARA O ATO DEFINITIVO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (91, 1, 'PROMESSA DE COMPRA E VENDA COM QUITAO PARCIAL E TRANSFERNCIA DE FINANCIAMENTO ORIGINARIO DE COMPRA E VENDA COM PACTO ADJETO DE HIPOTECA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (92, 1, 'PROMESSA DE COMPRA E VENDA COM CLUSULA DE ARREPENDIMENTO POR AMBOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (93, 1, 'PROMESSA DE COMPRA E VENDA COM A CLUSULA DE ARREPENDIMENTO POR PARTE DO PROMITENTE VENDEDOR', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (94, 1, 'PROMESSA DE COMPRA E VENDA COM SINAL DE PAGAMENTO E O SALDO A SER PAGO POR INTERMDIO DE FINANCIAMENTO A SER OBTIDO PELO PROMITENTE COMPRADOR DE RGO FINANCEIRO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (95, 1, 'PACTO ANTENUPCIAL DE COMUNHO UNIVERSAL DE BENS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (96, 1, 'PACTO ANTENUPCIAL DE COMPLETA E ABSOLUTA SEPARAO DE BENS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (97, 1, 'PARTILHA AMIGVEL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (98, 1, 'PERMUTA DE IMVEIS POR VALORES IDNTICOS SEM PAGAMENTO DE DIFERENA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (99, 1, 'PERMUTA SIMPLES DE IMVEIS COM VALORES IGUAIS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (100, 1, 'PERMUTA DE IMVEIS COM VALORES DIFERENTES', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (101, 1, 'PERMUTA DE DIREITO REAL POR DIREITO DE SUCESSO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (102, 1, 'PENHOR AGRCOLA (CONFISSO DE DVIDA COM GARANTIA DE PLANTAO)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (103, 1, 'PENHOR CIVIL  COM GARANTIA DE VECULOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (104, 1, 'PENHOR INDUSTRIAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (105, 1, 'QUITAO DE PREO (em decorrncia de promessa de compra e venda e outorga de procurao para o ato definitivo)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (106, 1, 'QUITAO DE HIPOTECA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (107, 1, 'REVOGAO DE MANDATO POR ESCRITURA PBLICA (SEM QUE OCORRA NECESSIDADE DE CANCELA-LO ATRAVS DA VARA DE REGISTROS PBLICOS)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (108, 1, 'RESCISO DE CONTRATO DE LOCAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (109, 1, 'RENNCIA DE LEGADO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (110, 1, 'REVOGAO DE DOAO POR ACORDO ENTRE AS PARTES', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (111, 1, 'RESCISO DE PROMESSA DE COMPRA E VENDA (celebrada com a clusula de arrependimento por parte dos promitentes vendedores, de acordo com o art. 1140 do cdigo civil)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (112, 1, 'RESCISO DE PROMESSA DE COMPRA E VENDA (sem que a mesma tenha direito de arrependimento por comum acordo das partes)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (113, 1, 'RECONHECIMENTO DE FILHO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (114, 1, 'RECONHECIMENTO DE NASCITURO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (115, 1, 'RETROVENDA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (116, 1, 'RETRATO UNILATERAL DE CONTRATO DE RETROVENDA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (117, 1, 'RENNCIA DE USUFRUTO E CANCELAMENTO DAS CLUSULAS DE INALIEBILIDADE, IMPENHORABILIDADE E INCOMUNICABILIDADE', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (118, 1, 'RENNCIA DE USUFRUTO SIMPLES', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (119, 1, 'TRANSAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (120, 1, 'TRANSFORMAO DE SOCIEDADE POR COTAS DE RESPONSABILIDADE LIMITADA EM SOCIEDADE ANNIMA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (1, 2, 'COMO SE OPERA O MANDATO (segundo dispositivos do cdigo civil, Arts. 1288 ao 1330)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (2, 2, 'VENDA DE IMVEL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (3, 2, 'ALIENAR BENS IMVEIS, ADMINISTR-LOS E MOVIMENTAR CONTAS BANCRIAS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (4, 2, 'DA MULHER PARA O MARIDO OU VICE-VERSA PARA VENDER DETERMINADO IMVEL (por instrumento pblico)', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (5, 2, 'CEDER CRDITO RELATIVO A ESCRITURA DE PROMESSA DE COMPRA E VENDA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (6, 2, 'HIPOTECAR IMVEL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (7, 2, 'COMPRAR IMVEL PELO SISTEMA DA HABITAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (8, 2, 'CEDER E TRANSFERIR DIREITOS HEREDITRIOS, A TTULO GRATUITO OU ONEROSO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (9, 2, 'MOVIMENTAR CONTSAS BANCRIAS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (10, 2, 'ADMINISTRAR BENS IMVEIS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (11, 2, 'PODERES AD JUDICIA PARA O FORO EM GERAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (12, 2, 'PODERES AD JUDICIA, ESPECIALMENTE PARA ABERTURA DE INVENTRIO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (13, 2, 'ADMINISTRAO GERAL DE BENS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (14, 2, 'ADMINISTRAR PROPRIEDADE RURAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (15, 2, 'ARREMATAR BENS EM HASTA PBLICA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (16, 2, 'REPRESENTAR EM ASSEMBLIA DE CONDOMNIO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (17, 2, 'REPRESENTAR EM SOCIEDADES ANNIMAS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (18, 2, 'CAUSA PRPRIA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (19, 2, 'COBRANA DE DVIDA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (20, 2, 'MOVIMENTAR CONTAS BANCRIAS DE MODO AMPLO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (21, 2, 'MOVIMENTAR CONTA E ENCERRAR CADERNETA DE POUPANA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (22, 2, 'LEVANTAR PENHOR DE JIAS NA CAIXA ECONMICA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (23, 2, 'CEDER OU TRANSFERIR APARELHO TELEFNICO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (24, 2, 'CEDER DIREITOS HEREDITRIOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (25, 2, 'CONDISSO DE DVIDA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (26, 2, 'COMPRAR IMVEL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (27, 2, 'REQUERER CONCORDATA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (28, 2, 'ENTRE CONJUGES COM AMPLOS PODERES', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (29, 2, 'DAR ASSIST~ENCIA EM OUTORGA DE ESCRITURA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (30, 2, 'PROMOVER DECLARAO DE AUSNCIA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (31, 2, 'DEFESA EM AUTO DE INFRAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (32, 2, 'DEMARCAO DE TERRAS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (33, 2, 'RECER O PRODUTO DE DESAPROPRIAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (34, 2, 'PROMOVER REGISTRO DE DIREITOS AUTORAIS E RECEBIMENTO DE DIREITOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (35, 2, 'COBRANA DE DVIDA EM INVENTRIO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (36, 2, 'DE ESTRANGEIRO PARA PERMANNCIA OU ESTADA NO PAS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (37, 2, 'COBRANA DE CRDITO EM FALNCIA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (38, 2, 'OUTORGAR PROCURAO A ADVOGADO PARA SE HABILITAR EM FALNCIA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (39, 2, 'DAR FIANA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (40, 2, 'GERNCIA DE BANCO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (41, 2, 'GERIR CASA COMERCIAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (42, 2, 'IMPOSTO DE RENDA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (43, 2, 'INSTITUTO NACIONAL DE PREVIDNCIAL SOCIAL -INPS, A FIM DE RECEBER PENSO, PROVENTOS OU BENEFCIOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (44, 2, 'PROMOVER ABERTURA DE INVENTRIO E FAZER A PARTILHA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (45, 2, 'RECPROCA ENTRE OS CNJUGES DE MODO AMPLO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (46, 2, 'REGISTRO DE MARCAS E PATENTES', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (47, 2, 'REPRESENTAR EM CASAMENTO CIVIL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (48, 2, 'RETIRAR CORRESPONDNCIA E VALORES NOS CORRIOS E TELGRAFOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (49, 2, 'MENOR PBERE PARA REPRESENTAR EM INVENTRIO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (50, 2, 'PARTILHA E ADMINISTRAO DE BENS EM PORTUGAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (51, 2, 'TOMAR POSSE EM EMPREGO PBLICO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (52, 2, 'RECEBER VENCIMENTOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (53, 2, 'RECONHECIMENTO DE ASSOCIAO SINDICAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (54, 2, 'DE SNDICO DE EDIFCIO PARA EMPRESA DE ADMINISTRAO DE CONDOMNIO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (55, 2, 'ADMINISTRAR E CEDER DIREITO DE USO E GOZO DE SEPULTURA', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (56, 2, 'LIQUIDAO DE SOCIEDADE COMERCIAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (57, 2, 'SUBSTITUIR DIRETOR OU SCIO DE FIRMA COMERCIAL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (58, 2, 'VENDER IMVEL', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (59, 2, 'VENDEDOR VIAJANTE', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (60, 2, 'RECEBER FGTS OU PIS/PASEP', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (61, 2, 'VENDA DE TTULOS NA BOLSA DE VALORES', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (1, 4, 'SUBSTABELECIMENTO DE PROCURAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (1, 3, 'CNJUGE CASADO PELO REGIME DA SEPARAO TOTAL DE BENS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (2, 3, 'TESTAMENTO PBLICO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (3, 3, 'TESTAMENTO PARTICULAR', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (4, 3, 'FEITO FORA DO CARTORIO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (5, 3, 'DE PESSOA SEM HERDEIROS NECESSRIOS', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (6, 3, 'TESTADOR CASADO PELO REGIME DA COMUNHO DE BENS BENEFICIANDO O CNJUGE SOBREVIVENTE', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (7, 3, 'DETERMINANDO A INSTITUIO DE UMA FUNDAO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (8, 3, 'NOMEAO DE TUTOR', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (9, 3, 'RECONHECIMENTO DE FILHO TIDO FORA DO MATRIMNIO DE HOMEM CASADO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (10, 3, 'REVOGAO DE TESTAMENTO PBLICO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (11, 3, 'TESTAMENTO PBLICO COM FIDEICOMISSO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (12, 3, 'TESTAMENTO MARTMO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (13, 3, 'TESTAMENTO NUNCUPATIVO', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (14, 3, 'TESTAMENTO MILITAR', NULL, NULL, NULL);
INSERT INTO natureza (natureza_codigo, natureza_tipo, natureza_descricao, natureza_data_cadastro, natureza_ult_atualizacao, natureza_func) VALUES (15, 3, 'CONDICILO', NULL, NULL, NULL);


--
-- TOC entry 1768 (class 0 OID 16995)
-- Dependencies: 1338
-- Data for Name: nova_nac; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1769 (class 0 OID 16997)
-- Dependencies: 1339
-- Data for Name: nova_rua; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1770 (class 0 OID 16999)
-- Dependencies: 1340
-- Data for Name: nova_rua_crt; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1771 (class 0 OID 17001)
-- Dependencies: 1341
-- Data for Name: outorgado; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1772 (class 0 OID 17003)
-- Dependencies: 1342
-- Data for Name: outorgante; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1773 (class 0 OID 17005)
-- Dependencies: 1343
-- Data for Name: paises; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1774 (class 0 OID 17007)
-- Dependencies: 1344
-- Data for Name: pessoa; Type: TABLE DATA; Schema: public; Owner: bdmessias
--

INSERT INTO pessoa (pes_codigo, pes_nome, pes_nacionalidade, pes_data_nascto, pes_local_nascto, pes_loc_nasc_uf, pes_sexo, pes_est_civil, pes_reg_bens, pes_nome_conj, pes_profissao, pes_rg, pes_rg_dat_exp, pes_cpf, pes_doc_profissao, pes_pai, pes_mae, pes_end_cidade, pes_end_bairro, pes_end_uf, pes_end_cep, pes_end_nro, pes_complemento, pes_telefone1, pes_telefone2, pes_data_cadastro, pes_ult_atualizacao, func_codigo, pes_observacao, pes_sobrenome, pes_status, pes_rg_org_emis, pes_fic, pes_atoslav, pes_login, pes_senha) VALUES (2, 'Michel de Lara                                         ', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, false, false, 'MICHEL', 'DELARA');
INSERT INTO pessoa (pes_codigo, pes_nome, pes_nacionalidade, pes_data_nascto, pes_local_nascto, pes_loc_nasc_uf, pes_sexo, pes_est_civil, pes_reg_bens, pes_nome_conj, pes_profissao, pes_rg, pes_rg_dat_exp, pes_cpf, pes_doc_profissao, pes_pai, pes_mae, pes_end_cidade, pes_end_bairro, pes_end_uf, pes_end_cep, pes_end_nro, pes_complemento, pes_telefone1, pes_telefone2, pes_data_cadastro, pes_ult_atualizacao, func_codigo, pes_observacao, pes_sobrenome, pes_status, pes_rg_org_emis, pes_fic, pes_atoslav, pes_login, pes_senha) VALUES (1, 'Jair Gonalves                                         ', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, false, false, 'JAIR', 'POWER');


--
-- TOC entry 1740 (class 0 OID 16857)
-- Dependencies: 1310
-- Data for Name: pgadmin_seq_cache; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1739 (class 0 OID 16853)
-- Dependencies: 1309
-- Data for Name: pgadmin_table_cache; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1775 (class 0 OID 17038)
-- Dependencies: 1345
-- Data for Name: profissao; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1776 (class 0 OID 17040)
-- Dependencies: 1346
-- Data for Name: ramo; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1777 (class 0 OID 17042)
-- Dependencies: 1347
-- Data for Name: referencia; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1778 (class 0 OID 17044)
-- Dependencies: 1348
-- Data for Name: regime_de_bens; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1779 (class 0 OID 17046)
-- Dependencies: 1349
-- Data for Name: sin_pub; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1780 (class 0 OID 17048)
-- Dependencies: 1350
-- Data for Name: sin_pub_temp; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1781 (class 0 OID 17050)
-- Dependencies: 1351
-- Data for Name: sinalenv; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1782 (class 0 OID 17054)
-- Dependencies: 1352
-- Data for Name: tipatos; Type: TABLE DATA; Schema: public; Owner: bdmessias
--

INSERT INTO tipatos (tipato_codigo, tipato_descricao, tipato_funccad, tipato_datcad) VALUES (2, 'PROCURAES                                                                                         ', 29, '2002-10-07');
INSERT INTO tipatos (tipato_codigo, tipato_descricao, tipato_funccad, tipato_datcad) VALUES (1, 'ESCRITURA                                                                                           ', 1, '2002-10-12');
INSERT INTO tipatos (tipato_codigo, tipato_descricao, tipato_funccad, tipato_datcad) VALUES (3, 'TESTAMENTO                                                                                          ', 29, '2002-10-07');
INSERT INTO tipatos (tipato_codigo, tipato_descricao, tipato_funccad, tipato_datcad) VALUES (4, 'SUBSTABELECIMENTO                                                                                   ', 29, '2002-10-07');


--
-- TOC entry 1783 (class 0 OID 17056)
-- Dependencies: 1353
-- Data for Name: tipos_de_logradouros; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1790 (class 0 OID 17304)
-- Dependencies: 1360
-- Data for Name: tiposolicitacao; Type: TABLE DATA; Schema: public; Owner: postgres
--



--
-- TOC entry 1784 (class 0 OID 17058)
-- Dependencies: 1354
-- Data for Name: tramitacao_acoes; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1785 (class 0 OID 17060)
-- Dependencies: 1355
-- Data for Name: uf; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



--
-- TOC entry 1786 (class 0 OID 17062)
-- Dependencies: 1356
-- Data for Name: usuario; Type: TABLE DATA; Schema: public; Owner: bdmessias
--



SET search_path = web, pg_catalog;

--
-- TOC entry 1797 (class 0 OID 17342)
-- Dependencies: 1367
-- Data for Name: detalhepagamento; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1796 (class 0 OID 17336)
-- Dependencies: 1366
-- Data for Name: detalheservico; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1799 (class 0 OID 17348)
-- Dependencies: 1369
-- Data for Name: documento; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1798 (class 0 OID 17344)
-- Dependencies: 1368
-- Data for Name: documento_participantes; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1793 (class 0 OID 17320)
-- Dependencies: 1363
-- Data for Name: documentoarquivo; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1800 (class 0 OID 17352)
-- Dependencies: 1370
-- Data for Name: entregasolicitacao; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1788 (class 0 OID 17296)
-- Dependencies: 1358
-- Data for Name: formaentrega; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1789 (class 0 OID 17300)
-- Dependencies: 1359
-- Data for Name: papel; Type: TABLE DATA; Schema: web; Owner: postgres
--

INSERT INTO papel (pap_codigo, pap_descri) VALUES (1, 'OUTORGANTE');
INSERT INTO papel (pap_codigo, pap_descri) VALUES (2, 'OUTORGADO');


--
-- TOC entry 1794 (class 0 OID 17324)
-- Dependencies: 1364
-- Data for Name: papel_naturezadocumento; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1792 (class 0 OID 17312)
-- Dependencies: 1362
-- Data for Name: pessoa_temp; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1801 (class 0 OID 17356)
-- Dependencies: 1371
-- Data for Name: solicitacaoservico; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1795 (class 0 OID 17328)
-- Dependencies: 1365
-- Data for Name: status; Type: TABLE DATA; Schema: web; Owner: postgres
--



--
-- TOC entry 1791 (class 0 OID 17308)
-- Dependencies: 1361
-- Data for Name: tiposolicitacao; Type: TABLE DATA; Schema: web; Owner: postgres
--

INSERT INTO tiposolicitacao (tipsol_codigo, tipsol_descri) VALUES (1, 'Minuta');
INSERT INTO tiposolicitacao (tipsol_codigo, tipsol_descri) VALUES (2, 'Certido');


SET search_path = public, pg_catalog;

--
-- TOC entry 1696 (class 2606 OID 17065)
-- Dependencies: 1312 1312
-- Name: acoes_pkey; Type: CONSTRAINT; Schema: public; Owner: bdmessias; Tablespace: 
--

ALTER TABLE ONLY acoes
    ADD CONSTRAINT acoes_pkey PRIMARY KEY (acoes_codigo);


--
-- TOC entry 1698 (class 2606 OID 17067)
-- Dependencies: 1313 1313 1313 1313
-- Name: atoslav_pkey; Type: CONSTRAINT; Schema: public; Owner: bdmessias; Tablespace: 
--

ALTER TABLE ONLY atoslav
    ADD CONSTRAINT atoslav_pkey PRIMARY KEY (atos_codigo, atos_livnro, atos_flsnro);


--
-- TOC entry 1700 (class 2606 OID 17069)
-- Dependencies: 1316 1316
-- Name: cargos_pkey; Type: CONSTRAINT; Schema: public; Owner: bdmessias; Tablespace: 
--

ALTER TABLE ONLY cargos
    ADD CONSTRAINT cargos_pkey PRIMARY KEY (cargo_codigo);


--
-- TOC entry 1702 (class 2606 OID 17075)
-- Dependencies: 1318 1318
-- Name: cep_pkey; Type: CONSTRAINT; Schema: public; Owner: bdmessias; Tablespace: 
--

ALTER TABLE ONLY cep
    ADD CONSTRAINT cep_pkey PRIMARY KEY (ceplog_cep);


--
-- TOC entry 1704 (class 2606 OID 17077)
-- Dependencies: 1322 1322
-- Name: cep_unico_crt_pkey; Type: CONSTRAINT; Schema: public; Owner: bdmessias; Tablespace: 
--

ALTER TABLE ONLY cep_unico_crt
    ADD CONSTRAINT cep_unico_crt_pkey PRIMARY KEY (crt_codigo);


--
-- TOC entry 1706 (class 2606 OID 17079)
-- Dependencies: 1323 1323 1323
-- Name: controle_notas_pkey; Type: CONSTRAINT; Schema: public; Owner: bdmessias; Tablespace: 
--

ALTER TABLE ONLY controle_notas
    ADD CONSTRAINT controle_notas_pkey PRIMARY KEY (func, data);


--
-- TOC entry 1708 (class 2606 OID 17081)
-- Dependencies: 1326 1326
-- Name: empresa_pkey; Type: CONSTRAINT; Schema: public; Owner: bdmessias; Tablespace: 
--

ALTER TABLE ONLY empresa
    ADD CONSTRAINT empresa_pkey PRIMARY KEY (empr_codigo);


--
-- TOC entry 1710 (class 2606 OID 17083)
-- Dependencies: 1330 1330
-- Name: ficha_pkey; Type: CONSTRAINT; Schema: public; Owner: bdmessias; Tablespace: 
--

ALTER TABLE ONLY ficha
    ADD CONSTRAINT ficha_pkey PRIMARY KEY (fic_codigo);


--
-- TOC entry 1712 (class 2606 OID 17085)
-- Dependencies: 1344 1344
-- Name: pessoa_pkey; Type: CONSTRAINT; Schema: public; Owner: bdmessias; Tablespace: 
--

ALTER TABLE ONLY pessoa
    ADD CONSTRAINT pessoa_pkey PRIMARY KEY (pes_codigo);


--
-- TOC entry 1718 (class 2606 OID 17307)
-- Dependencies: 1360 1360
-- Name: tiposolicitacao_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tiposolicitacao
    ADD CONSTRAINT tiposolicitacao_pkey PRIMARY KEY (tipsol_codigo);


SET search_path = web, pg_catalog;

--
-- TOC entry 1730 (class 2606 OID 17339)
-- Dependencies: 1366 1366 1366
-- Name: detalheservico_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY detalheservico
    ADD CONSTRAINT detalheservico_pkey PRIMARY KEY (detser_codigo, solser_codigo);


--
-- TOC entry 1732 (class 2606 OID 17347)
-- Dependencies: 1368 1368 1368
-- Name: documento_participantes_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY documento_participantes
    ADD CONSTRAINT documento_participantes_pkey PRIMARY KEY (doc_codigo, pes_codigo);


--
-- TOC entry 1734 (class 2606 OID 17351)
-- Dependencies: 1369 1369
-- Name: documento_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY documento
    ADD CONSTRAINT documento_pkey PRIMARY KEY (doc_codigo);


--
-- TOC entry 1724 (class 2606 OID 17323)
-- Dependencies: 1363 1363
-- Name: documentoarquivo_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY documentoarquivo
    ADD CONSTRAINT documentoarquivo_pkey PRIMARY KEY (doc_codigo);


--
-- TOC entry 1736 (class 2606 OID 17355)
-- Dependencies: 1370 1370 1370
-- Name: entregasolicitacao_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY entregasolicitacao
    ADD CONSTRAINT entregasolicitacao_pkey PRIMARY KEY (solser_codigo, forent_codigo);


--
-- TOC entry 1714 (class 2606 OID 17299)
-- Dependencies: 1358 1358
-- Name: formaentrega_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY formaentrega
    ADD CONSTRAINT formaentrega_pkey PRIMARY KEY (forent_codigo);


--
-- TOC entry 1726 (class 2606 OID 17327)
-- Dependencies: 1364 1364 1364
-- Name: papel_naturezadocumento_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY papel_naturezadocumento
    ADD CONSTRAINT papel_naturezadocumento_pkey PRIMARY KEY (natureza_codigo, pap_codigo);


--
-- TOC entry 1716 (class 2606 OID 17303)
-- Dependencies: 1359 1359
-- Name: papel_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY papel
    ADD CONSTRAINT papel_pkey PRIMARY KEY (pap_codigo);


--
-- TOC entry 1722 (class 2606 OID 17315)
-- Dependencies: 1362 1362
-- Name: pessoa_temp_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pessoa_temp
    ADD CONSTRAINT pessoa_temp_pkey PRIMARY KEY (pes_codigo);


--
-- TOC entry 1738 (class 2606 OID 17359)
-- Dependencies: 1371 1371
-- Name: solicitacaoservico_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY solicitacaoservico
    ADD CONSTRAINT solicitacaoservico_pkey PRIMARY KEY (solser_codigo);


--
-- TOC entry 1728 (class 2606 OID 17331)
-- Dependencies: 1365 1365
-- Name: status_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY status
    ADD CONSTRAINT status_pkey PRIMARY KEY (status_codigo);


--
-- TOC entry 1720 (class 2606 OID 17311)
-- Dependencies: 1361 1361
-- Name: tiposolicitacao_pkey; Type: CONSTRAINT; Schema: web; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tiposolicitacao
    ADD CONSTRAINT tiposolicitacao_pkey PRIMARY KEY (tipsol_codigo);


--
-- TOC entry 1805 (class 0 OID 0)
-- Dependencies: 5
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2006-08-04 23:33:45 Pacific Standard Time

--
-- PostgreSQL database dump complete
--

