/*
 * CertificadoAct.java
 *
 * Created on 25 de Outubro de 2006, 00:15
 */

package br.com.tabelionatomessias.act;

import br.com.tabelionatomessias.dao.cart.Pessoa;
import br.com.tabelionatomessias.dao.cart.PessoaDAO;
import br.com.tabelionatomessias.dao.web.Detalheservico;
import br.com.tabelionatomessias.dao.web.DetalheservicoDAO;
import br.com.tabelionatomessias.dao.web.Documento;
import br.com.tabelionatomessias.dao.web.DocumentoDAO;
import br.com.tabelionatomessias.dao.web.Solicitacaoservico;
import br.com.tabelionatomessias.dao.web.SolicitacaoservicoDAO;
import br.com.tabelionatomessias.interfaces.IConstantes;
import br.com.tabelionatomessias.utils.Conexao;
import br.com.tabelionatomessias.utils.GeraCRL;
import br.com.tabelionatomessias.utils.GeraCertificado;
import br.com.tabelionatomessias.utils.NotariumError;
import br.com.tabelionatomessias.utils.XMLReader;
import com.sun.net.ssl.internal.ssl.PKCS12KeyStore;
import java.io.*;
import java.security.PrivateKey;
import java.security.cert.CertificateFactory;
import java.security.cert.X509Certificate;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.Date;
import java.util.Map;

/**
 * Servlet para tratar as requisies do certificado digital.
 */
public class CertificadoAct extends HttpServlet {
    
    private String senha;
    private String nome;
    private String email;
    private String senhaTabeliao;
    private PKCS12KeyStore rootCertFile;
    private X509Certificate certRoot;
    private GeraCertificado gencert = new GeraCertificado();
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {      

        Conexao con = null;             
        Connection conn = null;
       
        try {
            con = new Conexao();             
            conn = con.getConexao();
            HttpSession session = request.getSession();
            ServletContext servletContext = this.getServletContext();
            String acao = request.getParameter("acao").toString();
            CertificateFactory factory = CertificateFactory.getInstance("X509");            
            
            if (acao.equals("downcert")) {
            
                String codpess = request.getParameter("codpess");                
                String path = servletContext.getRealPath(IConstantes.PASTA_WEB_INF);
                path = path + "\\temp\\Certificado" + codpess + ".p12";
                File file = new File(path);
                file.createNewFile();                
                FileInputStream certificado = new FileInputStream(file);

                response.setContentType("application/octet-stream");
                response.setContentLength((int) file.length());
                response.setHeader("Content-Disposition","attachment; filename=" + IConstantes.NOME_ARQUIVO + "");
                BufferedInputStream bis = new BufferedInputStream(certificado);
                ServletOutputStream sos = response.getOutputStream();
               
                byte[] buf = new byte[1024];
                int count = 0;
                while ((count = bis.read(buf)) >= 0) {
                    sos.write(buf, 0, count);
                }

                bis.close();
                sos.flush();
                sos.close();
                certificado.close();
                
                // Apagar o certificado gerado no diretrio temporrio.
                file.delete();

                boolean revoga = Boolean.valueOf(session.getAttribute("revoga").toString());
                if (revoga) {
                    byte[] byOldCert = (byte[])session.getAttribute("usercert");
                    ByteArrayInputStream bya = new ByteArrayInputStream(byOldCert);
                    X509Certificate oldCert = (X509Certificate)factory.generateCertificate(bya);
                    PrivateKey privKeyRoot = (PrivateKey)rootCertFile.engineGetKey(IConstantes.ALIAS_CERTIFICADO, senhaTabeliao.toCharArray());
                    GeraCRL geraCrl = new GeraCRL();
                    geraCrl.updateCRL(servletContext, privKeyRoot, oldCert, certRoot );
                }
                
                // Inserir uma Solicitao de servio e seu respectivo detalhe
                byte[] x509cert = gencert.getUserCertificate();
                insereSolicServ(conn, request, session, x509cert);
                session.setAttribute("usercert", x509cert);
                
                // SUGERIR a execuo do garbage collection.
                System.gc();
                
            } else if (acao.equals("solic")) {
                
                validar(request);
                gencert.setEmail(email);
                gencert.setNome(nome);
                gencert.setSenha(senha.toCharArray());

                Integer codPessoa = (Integer)session.getAttribute("codpessoa");
                
                String pathXml = servletContext.getRealPath(IConstantes.PASTA_WEB_INF);
                pathXml = pathXml + IConstantes.WEB_XML;
                String valoresXml[] = new String[] {pathXml, "param-name", "param-value"};
                XMLReader xml = new XMLReader();
                Map map = xml.getParamValue(valoresXml);
                boolean geraRoot = Boolean.valueOf((String) map.get("GeraCertificadoRoot"));
                
                if (geraRoot) {
                    gencert.buildChain(servletContext, geraRoot, null, null, null, codPessoa);
                } else {
                    
                    FileInputStream arquivoCert = null;
                    senhaTabeliao = (String) map.get("Senha");
                    String certPath = servletContext.getRealPath(IConstantes.PASTA_WEB_INF);
                    String chavePub = certPath + IConstantes.CAMINHO_CHAVE_PUBLICA_ROOT;
                    certPath = certPath + IConstantes.CAMINHO_CERTIFICADO_ROOT;
                    try {
                        arquivoCert = new FileInputStream(certPath);
                    } catch (FileNotFoundException fnfex) {
                        throw new NotariumError("* Certificado Raiz no encontrado");
                    }
                    FileInputStream chavePubPath = new FileInputStream(chavePub);
                    rootCertFile = new PKCS12KeyStore();
                    rootCertFile.engineLoad(arquivoCert, null);
                    certRoot = (X509Certificate)factory.generateCertificate(chavePubPath); 
                    
                    gencert.buildChain(servletContext, geraRoot, rootCertFile, senhaTabeliao, certRoot, codPessoa);

                    // Fechar os InputStream, para que possam ser usados pelo sistema
                    arquivoCert.close();
                    chavePubPath.close(); 
                }

                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/certificadoconcl.jsp");
                rd.forward(request,response);  
                
            }
        } catch (Exception e) {
            try {
                conn.rollback();    
            } catch (SQLException sqlex) {
                sqlex.printStackTrace();
            }            
            request.setAttribute("erro",e);
            RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/soliccertdigi.jsp");
            rd.forward(request,response);
        } finally {
            try {
                conn.close();
                System.gc();
            } catch (SQLException sqlex) {
                sqlex.printStackTrace();
            }
        }
    }
    
    /**
     *Inserir na solicitao de servio e atualizar a tabela pessoa
     *@param Connection conn
     *@param HttpServletRequest request
     *@param byte[] cert
     *@throws NotariumError, SQLException
     */
    private void insereSolicServ(Connection conn, HttpServletRequest request, HttpSession session, byte[] cert) throws NotariumError, SQLException {
        
        // Atualiza o certificado na tabela pessoa
        PessoaDAO daopess = new PessoaDAO(conn);
        Pessoa pess = (Pessoa) session.getAttribute("usuario");
        pess.setPesCertificado(cert);
        daopess.updateCertificado(pess);
        
        // Documento
        DocumentoDAO docdao = new DocumentoDAO(conn);
        int newcod = docdao.maxDocCodigo();
        newcod++;
        Documento doc = new Documento();
        doc.setDocCodigo(newcod);
        doc.setDocObjato(null);
        doc.setNaturezaCodigo(null);
        doc.setTipatoCodigo(null);
        docdao.insert(doc);

        // Solicitao de servio        
        SolicitacaoservicoDAO daosolserv = new SolicitacaoservicoDAO(conn);
        int solsercod = daosolserv.maxSolserCodigo();
        solsercod++;        
        Solicitacaoservico solserv = new Solicitacaoservico();
        solserv.setSolserCodigo(solsercod);
        solserv.setDocCodigo(newcod);
        String codpessoa = session.getAttribute("codpessoa").toString();
        solserv.setPesCodigo(Integer.parseInt(codpessoa));
        solserv.setTipsolCodigo(IConstantes.COD_SOLIC_CERT_DIGI);                
        Date date = new java.util.Date();
        solserv.setSolserDatcad(date);
        daosolserv.insert(solserv);      
        
        // Detalhe de servio
        DetalheservicoDAO daodetserv = new DetalheservicoDAO(conn);
        int detsercod = daodetserv.maxDetSerCodigo((Integer) solsercod);
        detsercod++;        
        Detalheservico detserv = new Detalheservico();
        detserv.setSolserCodigo(solsercod);
        detserv.setDetserCodigo(detsercod);
        detserv.setDetserDescri(IConstantes.DESCR_SERVICO_CERT_DIGI);
        detserv.setStatusCodigo(IConstantes.COD_STATUS_CONCLUIDO);
        Double valser = new Double(session.getAttribute("valorservico").toString());
        detserv.setDetserValor(valser);
        detserv.setDetserDatcad(date);
        daodetserv.insert(detserv);
        conn.commit();
    }
    
    /**
     *Fazer as validaes necessrias para os campos de senha, nome e login
     *@param HttpServletRequest request
     *@throw NotariumError
     */    
    private void validar(HttpServletRequest request) throws NotariumError {
        nome = request.getParameter("nome");
        if (nome.equals("")) {
            throw new NotariumError("* Nome no informado.");
        }
        email = request.getParameter("email");
        if (email.equals("")) {
            throw new NotariumError("* E-mail no informado.");
        }        
        senha = request.getParameter("senha");
        if (senha.equals("")) {
            throw new NotariumError("* Senha no informada.");
        }
        String confsenha = request.getParameter("confsenha");
        if (confsenha.equals("")) {
            throw new NotariumError("* Por favor, confirme a senha.");
        }                                
        if (!senha.equals(confsenha)) {
            throw new NotariumError("* A senha no confere, por favor verifique.");
        }              
    }
    
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException{
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException{
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
