/*
 * DocumentoArquivoAct.java
 *
 * Created on 24 de Outubro de 2006, 23:48
 */

package br.com.tabelionatomessias.act;

import br.com.tabelionatomessias.dao.web.CertidaoPublica;
import br.com.tabelionatomessias.dao.web.CertidaoPublicaDAO;
import br.com.tabelionatomessias.utils.FileSigner;
import br.com.tabelionatomessias.utils.GeraPDF;
import br.com.tabelionatomessias.utils.NotariumError;
import com.lowagie.text.Element;
import java.io.*;
import java.sql.*;
import java.util.Hashtable;
import java.util.Date;
import javax.servlet.*;
import javax.servlet.http.*;
import javazoom.upload.*;
import br.com.tabelionatomessias.dao.web.Documentoarquivo;
import br.com.tabelionatomessias.dao.web.DocumentoarquivoDAO;
import br.com.tabelionatomessias.dao.web.SolicitacaoservicoDAO;
import br.com.tabelionatomessias.dao.web.DetalheservicoDAO;
import br.com.tabelionatomessias.dao.web.Detalheservico;
import br.com.tabelionatomessias.dao.web.Documento;
import br.com.tabelionatomessias.dao.web.DocumentoDAO;
import br.com.tabelionatomessias.dao.web.Solicitacaoservico;
import br.com.tabelionatomessias.interfaces.IConstantes;
import br.com.tabelionatomessias.utils.CriptoUtils;
import br.com.tabelionatomessias.utils.Conexao;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.HashMap;

/**
 * Servlet para tratar os documentos.
 */
public class DocumentoArquivoAct extends HttpServlet {
    
        //Arquivo
        private byte[] byArquivo;
        private byte[] byArquivo2;
        
        //Cripto
        private byte[] byArq1MD5;
        private byte[] byArq2MD5;
        private byte[] byArq1SHA;
        private byte[] byArq2SHA;
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
        ServletContext servletContext = this.getServletContext();

        Conexao con = null;
        Connection conn = null;
        HttpSession session = request.getSession();
        int codePage = Integer.parseInt(session.getAttribute("codPageCaller").toString());
        try {
            
            // Cria a conexao com o banco
            con = new Conexao();             
            conn = con.getConexao();            
            MultipartFormDataRequest mrequest = new MultipartFormDataRequest(request);
            
            // Se for para Enviar o Arquivo da Minuta (Caixa Preta)
            if (mrequest.getParameter("acao").equalsIgnoreCase("enviararquivominuta")) {
                String solser = mrequest.getParameter("solser");
                UploadFile upload = getFile("arquivo", mrequest);
                byArquivo = upload.getData();
                
                SolicitacaoservicoDAO daosolser = new SolicitacaoservicoDAO(conn);
                Solicitacaoservico varsolser = new Solicitacaoservico();
                varsolser = daosolser.selectPK(Integer.parseInt(solser));
                java.util.Date date = new java.util.Date();
                
                // Criptografa o arquivo passado
                CriptoUtils cripto = new CriptoUtils();
                byArq1MD5 = cripto.md5(byArquivo);
                byArq1SHA = cripto.sha1(byArquivo);        
                
                // Converter pra string, para fazer o select
                String sArq1MD5 = new String(byArq1MD5);
                String sArq1SHA1 = new String(byArq1SHA);
                
                Documentoarquivo docarq = null; 
                DocumentoarquivoDAO daodocarq = new DocumentoarquivoDAO(conn);
                docarq = daodocarq.selectPK(varsolser.getDocCodigo());
                String type = "update";
                if (docarq == null) { 
                    type = "insert"; 
                    docarq = new Documentoarquivo();  
                }
                docarq.setDocCodigo(varsolser.getDocCodigo());
                docarq.setDocArquivo(byArquivo);
                //docarq.setMD5(sArq1MD5);
                //docarq.setSHA(sArq1SHA1);
                docarq.setNomeArquivo("");
                
                if (type.equals("insert")) { 
                  daodocarq.insert(docarq);
                } else {
                  daodocarq.update(docarq);
                }
                            
                // Inclui um Detalhamento de Servio para a solicitao de Servio
                DetalheservicoDAO daodetserv = new DetalheservicoDAO(conn);
                Integer newdetsercod = daodetserv.maxDetSerCodigo(new Integer(solser));
                int detsercod = newdetsercod.intValue();
                ++detsercod;
                Detalheservico detserv = new Detalheservico();
                detserv.setSolserCodigo(new Integer(solser));
                detserv.setDetserCodigo((Integer) detsercod);
                detserv.setDetserDescri(IConstantes.DESCR_SERVICO_ENVIO_ARQUIVO_DOWNLOAD);
                detserv.setStatusCodigo(IConstantes.COD_STATUS_AGUARD_APROV);
                String preco = "0";
                detserv.setDetserValor(new Double(preco));
                detserv.setDetserDatcad(date);
                daodetserv.insert(detserv);

                RequestDispatcher rd = request.getRequestDispatcher("bbox.acao?acao=atenderminutas");            
                rd.forward(request,response);  
                
            // Se for para registrar o documento
            } if (mrequest.getParameter("acao").equalsIgnoreCase("regdocdig")) {
                UploadFile upload = getFile("userfile", mrequest);
                byArquivo = upload.getData();
                if (byArquivo == null) {
                    throw new NotariumError("*  necessrio passar um arquivo para validao.");
                }

                //Criptografa o arquivo
                CriptoUtils gcert = new CriptoUtils();
                byArq1MD5 = gcert.md5(byArquivo);
                byArq1SHA = gcert.sha1(byArquivo);
                
                // Converter pra string, para fazer o select
                String sArq1MD5 = new String(byArq1MD5);
                String sArq1SHA1 = new String(byArq1SHA);

                insereSolicServ(conn, request, sArq1MD5, sArq1SHA1, upload);
                
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/operconcl.jsp");            
                rd.forward(request,response);
                
            // Se for para verificar o documento
            } if (mrequest.getParameter("acao").equalsIgnoreCase("verif")) {
                
                UploadFile upload = getFile("userfile", mrequest);
                byArquivo = upload.getData();
                if (byArquivo == null) {
                    throw new NotariumError("*  necessrio passar um arquivo para validao.");
                }
                
                // Criptografa o arquivo passado
                CriptoUtils cripto = new CriptoUtils();
                byArq1MD5 = cripto.md5(byArquivo);
                byArq1SHA = cripto.sha1(byArquivo);                
                
                // Converter pra string, para fazer o select
                String sArq1MD5 = new String(byArq1MD5);
                String sArq1SHA1 = new String(byArq1SHA);
                
                // Fazer select, passando o arquivo
                Documentoarquivo docarq = new Documentoarquivo();
                DocumentoarquivoDAO daodocarq = new DocumentoarquivoDAO(conn);
                docarq = daodocarq.selectCripto(sArq1MD5, sArq1SHA1);

                // Se o select retornou dados, gerar a certido.
                if (docarq != null) {
                    
                    //int codpagecaller = Integer.parseInt(session.getAttribute("codPageCaller").toString());
                    String aux = servletContext.getRealPath(IConstantes.PASTA_WEB_INF);
                    String pathCertidao1 = aux + IConstantes.CAMINHO_CERTIDAO_VERIF_INP;
                    String pathCertidao2 = aux + IConstantes.CAMINHO_CERTIDAO_VERIF_OUT;
                    
                    // Mapear os alinhamentos do pargrafo.
                    HashMap mapa = new HashMap();
                    mapa.put("centro", Element.ALIGN_CENTER);
                    mapa.put("esquerda", Element.ALIGN_LEFT);
                    mapa.put("direita", Element.ALIGN_RIGHT);
                    mapa.put("just", Element.ALIGN_JUSTIFIED);

                    GeraPDF gera = new GeraPDF();
                    String webinfPath = servletContext.getRealPath(IConstantes.PASTA_WEB_INF);

                    // Todos os servios pblicos tero codigo da solicitao de servio = 0.
                    Calendar cal = Calendar.getInstance();
                    String codigoVerifi = gera.gerarCodigoValidacao(cal.get(Calendar.YEAR), IConstantes.COD_SOLIC_SERVICO_PUBLICO);
                    
                    //Formatar a data
                    SimpleDateFormat format = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
                    java.util.Date data = docarq.getDataEnvio();
                    String dataFormatada = format.format(data);
                    
                    // 0 = paragraph.add
                    // 1 = paragraph.clear
                    // 2 = paragraph.setAligment
                    // 3 = document.add      
                    int vetor1[] = {2, 1, 0, 3, 1, 0, 3, 1, 0, 3,
                                    2, 1, 0, 3,
                                    1, 0, 3, 
                                    1, 0, 3, 
                                    1, 0, 3,
                                    1, 0, 3};
                    String vetor2[] = {"centro", null, "CERTIDO", null, null, " ", null, null, " ", null,
                                       "just", null, "O arquivo enviado consta em nossa base de dados e  vlido.", null,  
                                        null, "Nome do arquivo: " + docarq.getNomeArquivo(), null,
                                        null, "Data de envio: " + dataFormatada, null,
                                        null, " ", null,
                                        null, " ", null};
                    FileInputStream responder = gera.gerarPDF(vetor1, vetor2, mapa, pathCertidao2, webinfPath, codePage, codigoVerifi );

                    response.setContentType("application/octet-stream");
                    //response.setContentLength((int) responder.length());
                    response.setHeader("Content-Disposition","attachment; filename=" + IConstantes.NOME_CERTIDAO_CONFERE + "");
                    BufferedInputStream bis = new BufferedInputStream(responder);
                    ServletOutputStream sos = response.getOutputStream();

                    byte[] buf = new byte[1024];
                    int count = 0;
                    while ((count = bis.read(buf)) >= 0) {
                        sos.write(buf, 0, count);
                    }                
                    bis.close();
                    sos.flush();
                    sos.close();
                    responder.close();

                    File f1 = new File(pathCertidao1);
                    File f2 = new File(pathCertidao2);
                    FileInputStream reading = new FileInputStream(f2);

                    byte[] byArquivo = new byte[(int)f2.length()];
                    reading.read(byArquivo);
                    insereCertidaoPublica(conn, byArquivo, codigoVerifi);

                    reading.close();
                    f1.delete();
                    f2.delete();

                    // SUGERIR a execuo do garbage collection.
                    System.gc();
                
                // Se o select no retornou dados, lanar a exceo.
                } else {
                    throw new NotariumError("* Arquivo invlido ou inexistente na base de dados.");
                }               
                
            }            
        } catch( NotariumError ne) {
            String url = null;
            if (codePage == IConstantes.COD_SOLIC_REG_DOCS) {
                url = "/WEB-INF/paginas/regdocdigi.jsp";
            } else if (codePage == IConstantes.COD_SOLIC_VERIF_REG_DOCS) {
                url = "/WEB-INF/paginas/verifregdocdigi.jsp";
            } else {
                url = "/WEB-INF/paginas/certdigi.jsp";
            }
            request.setAttribute("erro", ne);
            RequestDispatcher rd = request.getRequestDispatcher(url);
            rd.forward(request,response);
        } catch (Exception ex)     {
            try {
                conn.rollback();
            } catch (SQLException sqlex) {
                sqlex.printStackTrace();
            }
            ex.printStackTrace();
        } finally {
            try {
                conn.close();
                System.gc();
            } catch (SQLException sqlex) {
                sqlex.printStackTrace();
            }
        }         
    }
    
        
    /**
     *Inserir dados na tabela CertidaoPublica
     *@param Connection conn
     *@param byte[] arquivo
     *@param String codigo
     *@throws SQLException
     */
    private void insereCertidaoPublica(Connection conn, byte[] arquivo, String codigo) 
        throws SQLException {
        CertidaoPublica certpub = new CertidaoPublica();
        certpub.setCertpubArquivo(arquivo);
        certpub.setCertpubVerificador(codigo);
        CertidaoPublicaDAO daocertpub = new CertidaoPublicaDAO(conn);
        daocertpub.insert(certpub);
        conn.commit();
       
    }
    
    private void insereSolicServ(Connection conn, HttpServletRequest request, String md5, 
            String sha1, UploadFile up) throws NotariumError, SQLException {
        conn.setAutoCommit(false);
        java.util.Date actualDate = new java.util.Date();
        HttpSession session = request.getSession();
        
        // Documento
        DocumentoDAO docdao = new DocumentoDAO(conn);
        int newcod = docdao.maxDocCodigo();
        newcod++;
        Documento doc = new Documento();
        doc.setDocCodigo(newcod);
        doc.setDocObjato(null);
        doc.setNaturezaCodigo(null);
        doc.setTipatoCodigo(null);
        docdao.insert(doc);
        
        // DocumentoArquivo
        DocumentoarquivoDAO docArqDao = new DocumentoarquivoDAO(conn);        
        Documentoarquivo docArq = new Documentoarquivo();
        docArq.setDocCodigo(newcod);
        docArq.setDataEnvio(actualDate);
        docArq.setNomeArquivo(up.getFileName());
        docArq.setMD5(md5);
        docArq.setSHA(sha1);
        docArq.setDocArquivo(up.getData());
        docArq.setDocverificador(null);
        docArqDao.insert(docArq);        
        
        // Solicitao de servio        
        SolicitacaoservicoDAO daosolserv = new SolicitacaoservicoDAO(conn);
        int solsercod = daosolserv.maxSolserCodigo();
        solsercod++;        
        Solicitacaoservico solserv = new Solicitacaoservico();
        solserv.setSolserCodigo(solsercod);
        solserv.setDocCodigo(newcod);
        String codpessoa = session.getAttribute("codpessoa").toString();
        solserv.setPesCodigo(Integer.parseInt(codpessoa));
        solserv.setTipsolCodigo(IConstantes.COD_SOLIC_REG_DOCS);                
        solserv.setSolserDatcad(actualDate);
        daosolserv.insert(solserv);      
        
        // Detalhe de servio
        DetalheservicoDAO daodetserv = new DetalheservicoDAO(conn);
        int detsercod = daodetserv.maxDetSerCodigo((Integer) solsercod);
        detsercod++;        
        Detalheservico detserv = new Detalheservico();
        detserv.setSolserCodigo(solsercod);
        detserv.setDetserCodigo(detsercod);
        detserv.setDetserDescri(IConstantes.DESCR_SERVICO_REG_DOC);
        detserv.setStatusCodigo(IConstantes.COD_STATUS_CONCLUIDO);
        detserv.setDetserValor((Double)session.getAttribute("valorservico"));
        detserv.setDetserDatcad(actualDate);
        daodetserv.insert(detserv); 
        conn.commit();
    }
    
    /**
     * Fazer o upload do arquivo
     * @param String nomearq
     * @param MultipartFormDataRequest mreq
     * @return UploadFile up
     */    
    public UploadFile getFile(String nomeArq, MultipartFormDataRequest mreq) {
        mreq.getParameter(nomeArq);
        Hashtable ht = mreq.getFiles();
        UploadFile up = (UploadFile) ht.get(nomeArq);
        return up;
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
