package br.com.tabelionatomessias.dao.cart;
/**
 * Sistema: Notarium
 * 
 * Arquivo: UfDAO.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */


import java.sql.ResultSet;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.PreparedStatement;


/**
 * Classe que implementa o padro DAO da tabela uf
 * recebe como parmetro basico um objeto de conexo com o banco de dados. 
 *
 * @author JLMM
 */
public class CepDAO {
    
    private Connection conn = null;
    
    /** Creates a new instance of UfDAO */
    public CepDAO(Connection conn) {
        this.conn = conn;
    }
    
   /**
   * getColecao
   * retorna todos os registros da tabela uf
   */
    public java.util.List <Cep> getLogradouroByNomeLocalidade(java.lang.String nome, java.lang.Integer loccodigo) throws SQLException {
        Cep cep = null;
        String sql = "select  ceplog_codigo,  tipo.ceptip_nome || ' ' || cep.ceplog_nome as ceplog_nome,  ceplog_cep, ceplog_bai,  ceplog_uf, ceplog_tipo, ceplog_loc " +
                     " from  cep, tipos_de_logradouros tipo " +
                     " where Upper(tipo.ceptip_nome || ' ' || cep.ceplog_nome) like Upper(?) and ceplog_loc = ? and  tipo.ceptip_codigo = ceplog_tipo limit 10 ";

        PreparedStatement ps = null;
        java.util.ArrayList <Cep> colec = new java.util.ArrayList();
        try {
            ps = conn.prepareStatement( sql );
            int idx = 0;
            
            ps.setObject( ++idx, nome );
            ps.setObject( ++idx, loccodigo );
            ResultSet rs = ps.executeQuery();
            while( rs.next() ) {
       		  cep = new Cep();
                  cep.setCeplogCodigo((java.lang.Integer) rs.getObject("ceplog_codigo"));
                  cep.setCeplogNome( (java.lang.String) rs.getObject("ceplog_nome"));
                  cep.setCeplogCep( (java.lang.Integer) rs.getObject("ceplog_cep") );
                  cep.setCeplogBai( (java.lang.Integer) rs.getObject("ceplog_bai"));
                  cep.setCeplogUf( (java.lang.Integer) rs.getObject("ceplog_uf"));
                  cep.setCeplogTipo((java.lang.String) rs.getObject("ceplog_tipo") );
                  cep.setCeplogLoc( (java.lang.Integer) rs.getObject("ceplog_loc") );
                  colec.add( cep );
            }
        } catch( SQLException e ) {
            throw new SQLException(CepDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return colec;
    }
    
    
        public java.util.List <Cep> getCep(java.lang.String ceps) throws SQLException {
        Cep cep = null;
        String sql = "select * " +
                     " from cep " +
                     " where ceplog_cep = ? ";

        PreparedStatement ps = null;
        java.util.ArrayList <Cep> colec = new java.util.ArrayList();
        try {
            ps = conn.prepareStatement( sql );
            int idx = 0;
            
            ps.setObject( ++idx, ceps );
            ResultSet rs = ps.executeQuery();
            while( rs.next() ) {
       		  cep = new Cep();
                  cep.setCeplogCodigo((java.lang.Integer) rs.getObject("ceplog_codigo"));
                  cep.setCeplogNome( (java.lang.String) rs.getObject("ceplog_nome"));
                  cep.setCeplogCep( (java.lang.Integer) rs.getObject("ceplog_cep") );
                  cep.setCeplogBai( (java.lang.Integer) rs.getObject("ceplog_bai"));
                  cep.setCeplogUf( (java.lang.Integer) rs.getObject("ceplog_uf"));
                  cep.setCeplogTipo((java.lang.String) rs.getObject("ceplog_tipo") );
                  cep.setCeplogLoc( (java.lang.Integer) rs.getObject("ceplog_loc") );
                  colec.add( cep );
            }
        } catch( SQLException e ) {
            throw new SQLException(CepDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return colec;
    }
    
}

