package br.com.tabelionatomessias.dao.cart;
/**
 * Sistema: Notarium
 * 
 * Arquivo: LocalidadesDAO.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */


import java.sql.ResultSet;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.PreparedStatement;

/**
 * Classe que implementa o padro DAO da tabela localidades
 * recebe como parmetro basico um objeto de conexo com o banco de dados. 
 *
 * @author JLMM
 */
public class LocalidadesDAO {
    
     private Connection conn = null;
    
    /** Creates a new instance of LocalidadesDAO */
    public LocalidadesDAO(Connection conn) {
        this.conn = conn;
    }
    
    public Localidades selectPK(java.lang.Integer codigo) throws SQLException {
    	Localidades localidades = null;
        String sql = "SELECT ceploc_codigo, ceploc_nome, ceploc_cep, uf_codigo, ceploc_tipo, ceploc_sit " +
                     "FROM localidades " +
                     
                     "WHERE ceploc_codigo = ? ";

    	PreparedStatement ps = null;
      try {
    	ps = conn.prepareStatement( sql );
	int idx = 0;
	ps.setObject(++idx, codigo);
    	ResultSet rs = ps.executeQuery();
    	if( rs.next() ) {
    		localidades = new Localidades();
    		localidades.setCeplocCodigo( (java.lang.Integer) rs.getObject("ceploc_codigo") );
    		localidades.setCeplocNome( (java.lang.String) rs.getObject("ceploc_nome") );
    		localidades.setCeplocCep( (java.lang.Integer) rs.getObject("ceploc_cep") );
    		localidades.setUfCodigo( (java.lang.Integer) rs.getObject("uf_codigo") );
    		localidades.setCeplocTipo( (java.lang.String) rs.getObject("ceploc_tipo") );
    		localidades.setCeplocSit( (java.lang.String) rs.getObject("ceploc_sit") );
    		
    	}
        } catch( SQLException e ) {
            throw new SQLException(LocalidadesDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    	return localidades;
    }

    
    
    /**
     * getColecao
     * retorna todos os registros da tabela localidades
     */
    public java.util.List <Localidades> getColecao() throws SQLException {
        Localidades localidades = null;
        String sql = "SELECT ceploc_codigo, ceploc_nome, ceploc_cep, uf_codigo, ceploc_tipo, ceploc_sit " +
                     "FROM localidades ";
        PreparedStatement ps = null;
        java.util.ArrayList <Localidades> colec = new java.util.ArrayList();
        try {
            ps = conn.prepareStatement( sql );
            ResultSet rs = ps.executeQuery();
            while( rs.next() ) {
       		localidades = new Localidades();
      		localidades.setCeplocCodigo( (java.lang.Integer) rs.getObject("ceploc_codigo") );
    		      localidades.setCeplocNome( (java.lang.String) rs.getObject("ceploc_nome") );
    		      localidades.setCeplocCep( (java.lang.Integer) rs.getObject("ceploc_cep") );
    		      localidades.setUfCodigo( (java.lang.Integer) rs.getObject("uf_codigo") );
    		      localidades.setCeplocTipo( (java.lang.String) rs.getObject("ceploc_tipo") );
    		      localidades.setCeplocSit( (java.lang.String) rs.getObject("ceploc_sit") );
    		      
                  colec.add( localidades );
            }
        } catch( SQLException e ) {
            throw new SQLException(LocalidadesDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return colec;
    }
      
    public java.util.List <Localidades> getLocalidadesUf(java.lang.Integer uf) throws SQLException {
        Localidades localidades = null;
        String sql = "SELECT ceploc_codigo, ceploc_nome, ceploc_cep, uf_codigo, ceploc_tipo, ceploc_sit " +
                     "FROM localidades WHERE uf_codigo = ? group by ceploc_codigo, ceploc_nome, ceploc_cep, uf_codigo, ceploc_tipo, ceploc_sit ORDER BY ceploc_nome ";
        PreparedStatement ps = null;
        java.util.ArrayList <Localidades> colec = new java.util.ArrayList();
        try {
            ps = conn.prepareStatement( sql );
            int idx = 0;
            ps.setObject( ++idx, uf );
            ResultSet rs = ps.executeQuery();
            while( rs.next() ) {
       		  localidades = new Localidades();
      		      localidades.setCeplocCodigo( (java.lang.Integer) rs.getObject("ceploc_codigo") );
    		      localidades.setCeplocNome( (java.lang.String) rs.getObject("ceploc_nome") );
                      localidades.setCeplocCep( (java.lang.Integer) rs.getObject("ceploc_cep") );
                      localidades.setUfCodigo( (java.lang.Integer) rs.getObject("uf_codigo") );
                      localidades.setCeplocTipo( (java.lang.String) rs.getObject("ceploc_tipo") );
                      localidades.setCeplocSit( (java.lang.String) rs.getObject("ceploc_sit") );     		      
                  colec.add( localidades );
            }
        } catch( SQLException e ) {
            throw new SQLException(LocalidadesDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return colec;
    }  
    
}
