package br.com.tabelionatomessias.dao.cart;
/**
 * Sistema: Notarium
 * 
 * Arquivo: UfDAO.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */


import java.sql.ResultSet;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.PreparedStatement;


/**
 * Classe que implementa o padro DAO da tabela uf
 * recebe como parmetro basico um objeto de conexo com o banco de dados. 
 *
 * @author JLMM
 */
public class UfDAO {
    
    private Connection conn = null;
    
    /** Creates a new instance of UfDAO */
    public UfDAO(Connection conn) {
        this.conn = conn;
    }

       /**
   * getColecao
   * retorna todos os registros da tabela uf
   */
    public Uf selectPk(java.lang.Integer codigo) throws SQLException {
        Uf uf = null;
        String sql = "SELECT uf_codigo, uf_descricao, uf_sigla " +
                     "FROM uf WHERE uf_codigo = ? ";
        PreparedStatement ps = null;
        try {
            ps = conn.prepareStatement( sql );
            int idx = 0;
            
            ps.setObject( ++idx, codigo );
            ResultSet rs = ps.executeQuery();
            if( rs.next() ) {
                      uf = new Uf();
      		      uf.setUfCodigo( (java.lang.Integer) rs.getObject("uf_codigo") );
    		      uf.setUfDescricao( (java.lang.String) rs.getObject("uf_descricao") );
    		      uf.setUfSigla( (java.lang.String) rs.getObject("uf_sigla") );
            }
        } catch( SQLException e ) {
            throw new SQLException(UfDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return uf;
    }
    
    
   /**
   * getColecao
   * retorna todos os registros da tabela uf
   */
    public java.util.List <Uf> getColecao() throws SQLException {
        Uf uf = null;
        String sql = "SELECT uf_codigo, uf_descricao, uf_sigla " +
                     "FROM uf ";
        PreparedStatement ps = null;
        java.util.ArrayList <Uf> colec = new java.util.ArrayList();
        try {
            ps = conn.prepareStatement( sql );
            ResultSet rs = ps.executeQuery();
            while( rs.next() ) {
       		  uf = new Uf();
      		      uf.setUfCodigo( (java.lang.Integer) rs.getObject("uf_codigo") );
    		      uf.setUfDescricao( (java.lang.String) rs.getObject("uf_descricao") );
    		      uf.setUfSigla( (java.lang.String) rs.getObject("uf_sigla") );
                  colec.add( uf );
            }
        } catch( SQLException e ) {
            throw new SQLException(UfDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return colec;
    }
    
}
