
package br.com.tabelionatomessias.dao.web;
/**
 * Sistema: Notarium
 * 
 * Arquivo: DetalhepagamentoDAO.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */
import java.sql.ResultSet;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.PreparedStatement;
import java.sql.Timestamp;

/**
 * Classe que implementa o padro DAO da tabela detalhepagamento
 * recebe como parmetro basico um objeto de conexo com o banco de dados. 
 *
 * @author JLMM
 */
public class DetalhepagamentoDAO {
    private Connection conn = null;

    /**
     * Construtor
     * @param conn - um objeto java.sql.Connection de conexo com o banco de dados
     */
    public DetalhepagamentoDAO(Connection conn) {
        this.conn = conn;
    }

    
         /**
     * maxSolserCodigo
     * Retorna o maior cdigo de um documento cadastrado no banco.
     */
    public java.lang.Integer maxDetpagCodigo() throws SQLException {
         Integer cod = null;
         String sql = "Select max(detpag_codigo) as codigo from web.detalhepagamento ";
    	 PreparedStatement ps = null;
         try {
            ps = conn.prepareStatement( sql );
            int idx = 0;
            ps = conn.prepareStatement( sql );
	
            ResultSet rs = ps.executeQuery();
            if( rs.next() ) {
                 cod = (java.lang.Integer) rs.getObject("codigo"); 
            }
            } catch( SQLException e ) {
                throw new SQLException(DocumentoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
            } finally {
                if( ps != null ) {
                    ps.close();
                    ps = null;
                }
            }
            if (cod == null) { cod = new Integer("0"); }
    	 return cod;
    }
    
    /**
     * insert
     * salvar um novo registro no banco de dados.
     */
    public void insert(Detalhepagamento detalhepagamento) throws SQLException {
        String sql = "INSERT INTO web.detalhepagamento " +
                     "(detpag_codigo, solser_codigo, detpag_descri, detpag_datcad, detpag_valpag) " +
                     "VALUES (?, ?, ?, ?, ?)";
    	PreparedStatement ps = null;
      try {
    	   ps = conn.prepareStatement( sql );
	   int idx = 0;
    	   
    	ps.setObject( ++idx, detalhepagamento.getDetpagCodigo() );

    	ps.setObject( ++idx, detalhepagamento.getSolserCodigo() );

    	ps.setObject( ++idx, detalhepagamento.getDetpagDescri() );

    	ps.setObject( ++idx, new Timestamp( detalhepagamento.getDetpagDatcad().getTime() ));

    	ps.setObject( ++idx, detalhepagamento.getDetpagValpag() );

    	   ps.executeUpdate();
        } catch( SQLException e ) {
            throw new SQLException(DetalhepagamentoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    }

    /**
     * update
     * salvar as alteraes de um registro no banco de dados.
     */
    public void update(Detalhepagamento detalhepagamento) throws SQLException {
        String sql = "UPDATE web.detalhepagamento SET " +
                     "detpag_codigo=?, solser_codigo=?, detpag_descri=?, detpag_datcad=?, detpag_valpag=? " +
                     
                     "WHERE ";

    	PreparedStatement ps = null;
      try {
    	   ps = conn.prepareStatement( sql );
	   int idx = 0;
    	   
    	ps.setObject( ++idx, detalhepagamento.getDetpagCodigo() );

    	ps.setObject( ++idx, detalhepagamento.getSolserCodigo() );

    	ps.setObject( ++idx, detalhepagamento.getDetpagDescri() );

    	ps.setObject( ++idx, new Timestamp( detalhepagamento.getDetpagDatcad().getTime() ) );

    	ps.setObject( ++idx, detalhepagamento.getDetpagValpag() );

	   ps.executeUpdate();
        } catch( SQLException e ) {
            throw new SQLException(DetalhepagamentoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    }

    /**
     * delete
     * excluir um registro no banco de dados.
     */
    public void delete(Detalhepagamento detalhepagamento) throws SQLException {
        String sql = "DELETE FROM web.detalhepagamento " +
                     
                     "WHERE ";

    	PreparedStatement ps = null;
      try {
    	   ps = conn.prepareStatement( sql );
	   int idx = 0;
    	   
    	   ps.executeUpdate();
        } catch( SQLException e ) {
            throw new SQLException(DetalhepagamentoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    }

    /**
     * selectPk
     * busca um registro pela chave primria do banco. 
     *    
                     "WHERE ";

     */
    public Detalhepagamento selectPK() throws SQLException {
    	Detalhepagamento detalhepagamento = null;
        String sql = "SELECT detpag_codigo, solser_codigo, detpag_descri, detpag_datcad, detpag_valpag " +
                     "FROM web.detalhepagamento " +
                     
                     "WHERE ";

    	PreparedStatement ps = null;
      try {
    	ps = conn.prepareStatement( sql );
	int idx = 0;
	
    	ResultSet rs = ps.executeQuery();
    	if( rs.next() ) {
    		detalhepagamento = new Detalhepagamento();
    		detalhepagamento.setDetpagCodigo( (java.lang.Integer) rs.getObject("detpag_codigo") );
    		detalhepagamento.setSolserCodigo( (java.lang.Integer) rs.getObject("solser_codigo") );
    		detalhepagamento.setDetpagDescri( (java.lang.String) rs.getObject("detpag_descri") );
    		detalhepagamento.setDetpagDatcad( (java.util.Date) rs.getObject("detpag_datcad") );
    		detalhepagamento.setDetpagValpag( (java.lang.Double) rs.getObject("detpag_valpag") );
    		
    	}
        } catch( SQLException e ) {
            throw new SQLException(DetalhepagamentoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    	return detalhepagamento;
    }

    /**
     * getColecao
     * retorna todos os registros da tabela detalhepagamento
     */
    public java.util.List <Detalhepagamento> getColecao() throws SQLException {
        Detalhepagamento detalhepagamento = null;
        String sql = "SELECT detpag_codigo, solser_codigo, detpag_descri, detpag_datcad, detpag_valpag " +
                     "FROM web.detalhepagamento ";
        PreparedStatement ps = null;
        java.util.ArrayList <Detalhepagamento> colec = new java.util.ArrayList();
        try {
            ps = conn.prepareStatement( sql );
            ResultSet rs = ps.executeQuery();
            while( rs.next() ) {
       		detalhepagamento = new Detalhepagamento();
      		detalhepagamento.setDetpagCodigo( (java.lang.Integer) rs.getObject("detpag_codigo") );
    		      detalhepagamento.setSolserCodigo( (java.lang.Integer) rs.getObject("solser_codigo") );
    		      detalhepagamento.setDetpagDescri( (java.lang.String) rs.getObject("detpag_descri") );
    		      detalhepagamento.setDetpagDatcad( (java.util.Date) rs.getObject("detpag_datcad") );
    		      detalhepagamento.setDetpagValpag( (java.lang.Double) rs.getObject("detpag_valpag") );
    		      
                  colec.add( detalhepagamento );
            }
        } catch( SQLException e ) {
            throw new SQLException(DetalhepagamentoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return colec;
    }
    
/**
     * getColecaoSolicitacao
     * retorna todos os registros da tabela detalhepagamento da Solicitacao informada.
     */
    public java.util.List <Detalhepagamento> getColecaoSolicitacao(java.lang.Integer solser) throws SQLException {
        Detalhepagamento detalhepagamento = null;
        String sql = "SELECT detpag_codigo, solser_codigo, detpag_descri, detpag_datcad, detpag_valpag " +
                     "FROM web.detalhepagamento where solser_codigo = ? ";
        PreparedStatement ps = null;
        java.util.ArrayList <Detalhepagamento> colec = new java.util.ArrayList();
        try {
            ps = conn.prepareStatement( sql );
            int idx = 0;
            ps.setObject(++idx, solser);
            ResultSet rs = ps.executeQuery();
            while( rs.next() ) {
       		detalhepagamento = new Detalhepagamento();
      		detalhepagamento.setDetpagCodigo( (java.lang.Integer) rs.getObject("detpag_codigo") );
    		      detalhepagamento.setSolserCodigo( (java.lang.Integer) rs.getObject("solser_codigo") );
    		      detalhepagamento.setDetpagDescri( (java.lang.String) rs.getObject("detpag_descri") );
    		      detalhepagamento.setDetpagDatcad( (java.util.Date) rs.getObject("detpag_datcad") );
    		      detalhepagamento.setDetpagValpag( (java.lang.Double) rs.getObject("detpag_valpag") );
    		      
                  colec.add( detalhepagamento );
            }
        } catch( SQLException e ) {
            throw new SQLException(DetalhepagamentoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return colec;
    }
}
