
package br.com.tabelionatomessias.dao.web;
/**
 * Sistema: Notarium
 * 
 * Arquivo: PessoaTempDAO.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */
import java.sql.ResultSet;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.PreparedStatement;

/**
 * Classe que implementa o padro DAO da tabela pessoa_temp
 * recebe como parmetro basico um objeto de conexo com o banco de dados. 
 *
 * @author JLMM
 */
public class PessoaTempDAO {
    private Connection conn = null;

    /**
     * Construtor
     * @param conn - um objeto java.sql.Connection de conexo com o banco de dados
     */
    public PessoaTempDAO(Connection conn) {
        this.conn = conn;
    }

    
    /**
     * maxPesCodigo
     * Retorna o maior cdigo de uma Pessoa temporria cadastrada no banco. caso na haja nenhuma retorna 900000;
     */
    public java.lang.Integer maxPesCodigo() throws SQLException {
         Integer cod = null;
         String sql = " select max(pes_codigo) as codigo from web.pessoa_temp ";
    	 PreparedStatement ps = null;
         try {
            ps = conn.prepareStatement( sql );
            int idx = 0;
            ps = conn.prepareStatement( sql );

            ResultSet rs = ps.executeQuery();
            if( rs.next() ) {
                 cod = (java.lang.Integer) rs.getObject("codigo"); 
            }
            } catch( SQLException e ) {
                throw new SQLException(DocumentoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
            } finally {
                if( ps != null ) {
                    ps.close();
                    ps = null;
                }
            }
            if (cod == null) { cod = new Integer("900000"); }
    	 return cod;
    }
    
    
    /**
     * insert
     * salvar um novo registro no banco de dados.
     */
    public void insert(PessoaTemp pessoaTemp) throws SQLException {
        String sql = "INSERT INTO web.pessoa_temp " +
                     "(pes_codigo, pes_nome, pes_data_nascto, pes_sexo, pes_rg, pes_cpf, pes_mae, pes_pai, pes_telefone1, pes_loccodigo, pes_ufcodigo, pes_logcodigo, pes_endcomple) " +
                     "VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
    	PreparedStatement ps = null;
      try {
    	   ps = conn.prepareStatement( sql );
	   int idx = 0;
    	   
    	ps.setObject( ++idx, pessoaTemp.getPesCodigo() );

    	ps.setObject( ++idx, pessoaTemp.getPesNome() );
        
        ps.setDate( ++idx,pessoaTemp.getPesDataNascto());
    	//ps.setObject( ++idx, pessoaTemp.getPesDataNascto() );

    	ps.setObject( ++idx, pessoaTemp.getPesSexo() );

    	ps.setObject( ++idx, pessoaTemp.getPesRg() );

    	ps.setObject( ++idx, pessoaTemp.getPesCpf() );

    	ps.setObject( ++idx, pessoaTemp.getPesMae() );

    	ps.setObject( ++idx, pessoaTemp.getPesPai() );

    	ps.setObject( ++idx, pessoaTemp.getPesTelefone1() );

    	ps.setObject( ++idx, pessoaTemp.getPesLoccodigo() );

    	ps.setObject( ++idx, pessoaTemp.getPesUfcodigo() );

    	ps.setObject( ++idx, pessoaTemp.getPesLogcodigo() );

    	ps.setObject( ++idx, pessoaTemp.getPesEndcomple() );

    	   ps.executeUpdate();
        } catch( SQLException e ) {
            throw new SQLException(PessoaTempDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    }

    /**
     * update
     * salvar as alteraes de um registro no banco de dados.
     */
    public void update(PessoaTemp pessoaTemp) throws SQLException {
        String sql = "UPDATE web.pessoa_temp SET " +
                     "pes_codigo=?, pes_nome=?, pes_data_nascto=?, pes_sexo=?, pes_rg=?, pes_cpf=?, pes_mae=?, pes_pai=?, pes_telefone1=?, pes_loccodigo=?, pes_ufcodigo=?, pes_logcodigo=?, pes_endcomple=? " +
                     
                     "WHERE pes_codigo=?";

    	PreparedStatement ps = null;
      try {
    	   ps = conn.prepareStatement( sql );
	   int idx = 0;
    	   
    	ps.setObject( ++idx, pessoaTemp.getPesCodigo() );

    	ps.setObject( ++idx, pessoaTemp.getPesNome() );

    	ps.setObject( ++idx, pessoaTemp.getPesDataNascto() );

    	ps.setObject( ++idx, pessoaTemp.getPesSexo() );

    	ps.setObject( ++idx, pessoaTemp.getPesRg() );

    	ps.setObject( ++idx, pessoaTemp.getPesCpf() );

    	ps.setObject( ++idx, pessoaTemp.getPesMae() );

    	ps.setObject( ++idx, pessoaTemp.getPesPai() );

    	ps.setObject( ++idx, pessoaTemp.getPesTelefone1() );

    	ps.setObject( ++idx, pessoaTemp.getPesLoccodigo() );

    	ps.setObject( ++idx, pessoaTemp.getPesUfcodigo() );

    	ps.setObject( ++idx, pessoaTemp.getPesLogcodigo() );

    	ps.setObject( ++idx, pessoaTemp.getPesEndcomple() );

    	ps.setObject( ++idx, pessoaTemp.getPesCodigo() );

	   ps.executeUpdate();
        } catch( SQLException e ) {
            throw new SQLException(PessoaTempDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    }

    /**
     * delete
     * excluir um registro no banco de dados.
     */
    public void delete(PessoaTemp pessoaTemp) throws SQLException {
        String sql = "DELETE FROM pessoa_temp " +
                     
                     "WHERE pes_codigo=?";

    	PreparedStatement ps = null;
      try {
    	   ps = conn.prepareStatement( sql );
	   int idx = 0;
    	   
    	ps.setObject( ++idx, pessoaTemp.getPesCodigo() );

    	   ps.executeUpdate();
        } catch( SQLException e ) {
            throw new SQLException(PessoaTempDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    }
    
    /**
     * deletePessoasTempDocumento
     * exclui vrios registros do banco de dados, todas as pessoas temporrias que participaram de um documento.
     */
    public void deletePessoasTempDocumento(Integer doccodigo) throws SQLException {
        String sql = "delete from web.pessoa_temp where pes_codigo in (select pes_codigo from web.documento_participantes where doc_codigo = ? and pes_codigo > 900000)";

    	PreparedStatement ps = null;
      try {
    	   ps = conn.prepareStatement( sql );
	   int idx = 0;
    	   
    	ps.setObject( ++idx, doccodigo );

    	   ps.executeUpdate();
        } catch( SQLException e ) {
            throw new SQLException(PessoaTempDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    }

    /**
     * selectPk
     * busca um registro pela chave primria do banco. 
     *    
                     "WHERE pes_codigo=?";

     */
    public PessoaTemp selectPK(java.lang.Integer pesCodigo) throws SQLException {
    	PessoaTemp pessoaTemp = null;
        String sql = "SELECT pes_codigo, pes_nome, pes_data_nascto, pes_sexo, pes_rg, pes_cpf, pes_mae, pes_pai, pes_telefone1, pes_loccodigo, pes_ufcodigo, pes_logcodigo, pes_endcomple " +
                     "FROM web.pessoa_temp " +
                     
                     "WHERE pes_codigo=?";

    	PreparedStatement ps = null;
      try {
    	ps = conn.prepareStatement( sql );
	int idx = 0;
	
    	ps.setObject( ++idx, pesCodigo );
	
    	ResultSet rs = ps.executeQuery();
    	if( rs.next() ) {
    		pessoaTemp = new PessoaTemp();
    		pessoaTemp.setPesCodigo( (java.lang.Integer) rs.getObject("pes_codigo") );
    		pessoaTemp.setPesNome( (java.lang.String) rs.getObject("pes_nome") );
    		pessoaTemp.setPesDataNascto( (java.sql.Date) rs.getObject("pes_data_nascto") );
    		pessoaTemp.setPesSexo( (java.lang.Integer) rs.getObject("pes_sexo") );
    		pessoaTemp.setPesRg( (java.lang.String) rs.getObject("pes_rg") );
    		pessoaTemp.setPesCpf( (java.lang.String) rs.getObject("pes_cpf") );
    		pessoaTemp.setPesMae( (java.lang.String) rs.getObject("pes_mae") );
    		pessoaTemp.setPesPai( (java.lang.String) rs.getObject("pes_pai") );
    		pessoaTemp.setPesTelefone1( (java.lang.String) rs.getObject("pes_telefone1") );
    		pessoaTemp.setPesLoccodigo( (java.lang.Integer) rs.getObject("pes_loccodigo") );
    		pessoaTemp.setPesUfcodigo( (java.lang.Integer) rs.getObject("pes_ufcodigo") );
    		pessoaTemp.setPesLogcodigo( (java.lang.Integer) rs.getObject("pes_logcodigo") );
    		pessoaTemp.setPesEndcomple( (java.lang.String) rs.getObject("pes_endcomple") );
    		
    	}
        } catch( SQLException e ) {
            throw new SQLException(PessoaTempDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    	return pessoaTemp;
    }

    /**
     * getColecao
     * retorna todos os registros da tabela pessoa_temp
     */
    public java.util.List <PessoaTemp> getColecao() throws SQLException {
        PessoaTemp pessoaTemp = null;
        String sql = "SELECT pes_codigo, pes_nome, pes_data_nascto, pes_sexo, pes_rg, pes_cpf, pes_mae, pes_pai, pes_telefone1, pes_loccodigo, pes_ufcodigo, pes_logcodigo, pes_endcomple " +
                     "FROM pessoa_temp ";
        PreparedStatement ps = null;
        java.util.ArrayList <PessoaTemp> colec = new java.util.ArrayList();
        try {
            ps = conn.prepareStatement( sql );
            ResultSet rs = ps.executeQuery();
            while( rs.next() ) {
       		pessoaTemp = new PessoaTemp();
      		pessoaTemp.setPesCodigo( (java.lang.Integer) rs.getObject("pes_codigo") );
    		      pessoaTemp.setPesNome( (java.lang.String) rs.getObject("pes_nome") );
    		      pessoaTemp.setPesDataNascto( (java.sql.Date) rs.getObject("pes_data_nascto") );
    		      pessoaTemp.setPesSexo( (java.lang.Integer) rs.getObject("pes_sexo") );
    		      pessoaTemp.setPesRg( (java.lang.String) rs.getObject("pes_rg") );
    		      pessoaTemp.setPesCpf( (java.lang.String) rs.getObject("pes_cpf") );
    		      pessoaTemp.setPesMae( (java.lang.String) rs.getObject("pes_mae") );
    		      pessoaTemp.setPesPai( (java.lang.String) rs.getObject("pes_pai") );
    		      pessoaTemp.setPesTelefone1( (java.lang.String) rs.getObject("pes_telefone1") );
    		      pessoaTemp.setPesLoccodigo( (java.lang.Integer) rs.getObject("pes_loccodigo") );
    		      pessoaTemp.setPesUfcodigo( (java.lang.Integer) rs.getObject("pes_ufcodigo") );
    		      pessoaTemp.setPesLogcodigo( (java.lang.Integer) rs.getObject("pes_logcodigo") );
    		      pessoaTemp.setPesEndcomple( (java.lang.String) rs.getObject("pes_endcomple") );
    		      
                  colec.add( pessoaTemp );
            }
        } catch( SQLException e ) {
            throw new SQLException(PessoaTempDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return colec;
    }
}
