
package br.com.tabelionatomessias.dao.web;
/**
 * Sistema: Notarium
 * 
 * Arquivo: SolicitacaoservicoDAO.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */
import java.sql.ResultSet;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.PreparedStatement;
import java.sql.Timestamp;


/**
 * Classe que implementa o padro DAO da tabela solicitacaoservico
 * recebe como parmetro basico um objeto de conexo com o banco de dados. 
 *
 * @author JLMM
 */
public class SolicitacaoservicoDAO {
    private Connection conn = null;

    /**
     * Construtor
     * @param conn - um objeto java.sql.Connection de conexo com o banco de dados
     */
    public SolicitacaoservicoDAO(Connection conn) {
        this.conn = conn;
    }

    
     /**
     * maxSolserCodigo
     * Retorna o maior cdigo de um documento cadastrado no banco.
     */
    public java.lang.Integer maxSolserCodigo() throws SQLException {
         Integer cod = null;
         String sql = "Select max(solser_codigo) as codigo from web.solicitacaoservico ";
    	 PreparedStatement ps = null;
         try {
            ps = conn.prepareStatement( sql );
            int idx = 0;
            ps = conn.prepareStatement( sql );
	
            ResultSet rs = ps.executeQuery();
            if( rs.next() ) {
                 cod = (java.lang.Integer) rs.getObject("codigo"); 
            }
            } catch( SQLException e ) {
                throw new SQLException(DocumentoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
            } finally {
                if( ps != null ) {
                    ps.close();
                    ps = null;
                }
            }
            if (cod == null) { cod = new Integer("0"); }
    	 return cod;
    }
    
    
    
    /**
     * insert
     * salvar um novo registro no banco de dados.
     */
    public void insert(Solicitacaoservico solicitacaoservico) throws SQLException {
        String sql = "INSERT INTO web.solicitacaoservico " +
                     "(solser_codigo, pes_codigo, doc_codigo, tipsol_codigo,atoslav_codigo, solser_datcad) " +
                     "VALUES (?, ?, ?, ?, ?,?)";
    	PreparedStatement ps = null;
      try {
    	   ps = conn.prepareStatement( sql );
	   int idx = 0;
    	   
    	ps.setObject( ++idx, solicitacaoservico.getSolserCodigo() );

    	ps.setObject( ++idx, solicitacaoservico.getPesCodigo() );

    	ps.setObject( ++idx, solicitacaoservico.getDocCodigo() );

    	ps.setObject( ++idx, solicitacaoservico.getTipsolCodigo() );
        
        ps.setObject( ++idx, solicitacaoservico.getAtoslavCodigo() );

    	ps.setObject( ++idx, new Timestamp( solicitacaoservico.getSolserDatcad().getTime() ));

    	   ps.executeUpdate();
        } catch( SQLException e ) {
            throw new SQLException(SolicitacaoservicoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    }

    /**
     * update
     * salvar as alteraes de um registro no banco de dados.
     */
    public void update(Solicitacaoservico solicitacaoservico) throws SQLException {
        String sql = "UPDATE web.solicitacaoservico SET " +
                     "solser_codigo=?, pes_codigo=?, doc_codigo=?, tipsol_codigo=?, atoslav_codigo=?, solser_datcad=? " +
                     
                     "WHERE solser_codigo=?";

    	PreparedStatement ps = null;
      try {
    	   ps = conn.prepareStatement( sql );
	   int idx = 0;
    	   
    	ps.setObject( ++idx, solicitacaoservico.getSolserCodigo() );

    	ps.setObject( ++idx, solicitacaoservico.getPesCodigo() );

    	ps.setObject( ++idx, solicitacaoservico.getDocCodigo() );

    	ps.setObject( ++idx, solicitacaoservico.getTipsolCodigo() );

        ps.setObject( ++idx, solicitacaoservico.getAtoslavCodigo() );

    	ps.setObject( ++idx, new Timestamp(solicitacaoservico.getSolserDatcad().getTime()) );

    	ps.setObject( ++idx, solicitacaoservico.getSolserCodigo() );

	   ps.executeUpdate();
        } catch( SQLException e ) {
            throw new SQLException(SolicitacaoservicoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    }

    /**
     * delete
     * excluir um registro no banco de dados.
     */
    public void delete(Solicitacaoservico solicitacaoservico) throws SQLException {
        String sql = "DELETE FROM web.solicitacaoservico " +
                     
                     "WHERE solser_codigo=?";

    	PreparedStatement ps = null;
      try {
    	   ps = conn.prepareStatement( sql );
	   int idx = 0;
    	   
    	ps.setObject( ++idx, solicitacaoservico.getSolserCodigo() );

    	   ps.executeUpdate();
        } catch( SQLException e ) {
            throw new SQLException(SolicitacaoservicoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    }

    /**
     * selectPk
     * busca um registro pela chave primria do banco. 
     *    
                     "WHERE solser_codigo=?";

     */
    public Solicitacaoservico selectPK(java.lang.Integer solserCodigo) throws SQLException {
    	Solicitacaoservico solicitacaoservico = null;
        String sql = "SELECT solser_codigo, pes_codigo, doc_codigo, tipsol_codigo, atoslav_codigo,solser_datcad " +
                     "FROM web.solicitacaoservico " +
                     
                     "WHERE solser_codigo=?";

    	PreparedStatement ps = null;
      try {
    	ps = conn.prepareStatement( sql );
	int idx = 0;
	
    	ps.setObject( ++idx, solserCodigo );
	
    	ResultSet rs = ps.executeQuery();
    	if( rs.next() ) {
    		solicitacaoservico = new Solicitacaoservico();
    		solicitacaoservico.setSolserCodigo( (java.lang.Integer) rs.getObject("solser_codigo") );
    		solicitacaoservico.setPesCodigo( (java.lang.Integer) rs.getObject("pes_codigo") );
    		solicitacaoservico.setDocCodigo( (java.lang.Integer) rs.getObject("doc_codigo") );
    		solicitacaoservico.setTipsolCodigo( (java.lang.Integer) rs.getObject("tipsol_codigo") );
    		solicitacaoservico.setAtoslavCodigo( (java.lang.Integer) rs.getObject("atoslav_codigo") );
    		solicitacaoservico.setSolserDatcad( (java.sql.Timestamp) rs.getObject("solser_datcad") );
    	}
        } catch( SQLException e ) {
            throw new SQLException(SolicitacaoservicoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
    	return solicitacaoservico;
    }

    /**
     * getColecao
     * retorna todos os registros da tabela solicitacaoservico
     */
    public java.util.List <Solicitacaoservico> getColecao() throws SQLException {
        Solicitacaoservico solicitacaoservico = null;
        String sql = "SELECT solser_codigo, pes_codigo, doc_codigo, tipsol_codigo, atoslav_codigo,solser_datcad " +
                     "FROM web.solicitacaoservico ";
        PreparedStatement ps = null;
        java.util.ArrayList <Solicitacaoservico> colec = new java.util.ArrayList();
        try {
            ps = conn.prepareStatement( sql );
            ResultSet rs = ps.executeQuery();
            while( rs.next() ) {
       		solicitacaoservico = new Solicitacaoservico();
      		solicitacaoservico.setSolserCodigo( (java.lang.Integer) rs.getObject("solser_codigo") );
    		      solicitacaoservico.setPesCodigo( (java.lang.Integer) rs.getObject("pes_codigo") );
    		      solicitacaoservico.setDocCodigo( (java.lang.Integer) rs.getObject("doc_codigo") );
    		      solicitacaoservico.setTipsolCodigo( (java.lang.Integer) rs.getObject("tipsol_codigo") );
    		      solicitacaoservico.setAtoslavCodigo( (java.lang.Integer) rs.getObject("atoslav_codigo") );
    		      solicitacaoservico.setSolserDatcad( (java.sql.Timestamp) rs.getObject("solser_datcad") );
    		      
                  colec.add( solicitacaoservico );
            }
        } catch( SQLException e ) {
            throw new SQLException(SolicitacaoservicoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return colec;
    }
    
  //  public java.util.List <Solicitacaoservico> getColecaoPessoa(java.lang.Integer pescodigo,String tipsolcodigo ) throws SQLException {
    public java.util.List <Solicitacaoservico> getColecaoPessoa(java.lang.Integer pescodigo,String tipsolcodigo ) throws SQLException {
        Solicitacaoservico solicitacaoservico = null;
        String sql = "SELECT solser_codigo, pes_codigo, doc_codigo, tipsol_codigo, atoslav_codigo,solser_datcad " +
                     "FROM web.solicitacaoservico where pes_codigo = ? and tipsol_codigo like ? order by solser_codigo ";
        PreparedStatement ps = null;
        java.util.ArrayList <Solicitacaoservico> colec = new java.util.ArrayList();
        try {
            ps = conn.prepareStatement( sql );
            int idx = 0;
	
    	    ps.setObject( ++idx, pescodigo );
            ps.setObject( ++idx, tipsolcodigo );
            
            ResultSet rs = ps.executeQuery();
            while( rs.next() ) {
       		solicitacaoservico = new Solicitacaoservico();
      		solicitacaoservico.setSolserCodigo( (java.lang.Integer) rs.getObject("solser_codigo") );
    		      solicitacaoservico.setPesCodigo( (java.lang.Integer) rs.getObject("pes_codigo") );
    		      solicitacaoservico.setDocCodigo( (java.lang.Integer) rs.getObject("doc_codigo") );
    		      solicitacaoservico.setTipsolCodigo( (java.lang.Integer) rs.getObject("tipsol_codigo") );
    		      solicitacaoservico.setAtoslavCodigo( (java.lang.Integer) rs.getObject("atoslav_codigo") );
    		      solicitacaoservico.setSolserDatcad( (java.sql.Timestamp) rs.getObject("solser_datcad") );
    		      
                  colec.add( solicitacaoservico );
            }
        } catch( SQLException e ) {
            throw new SQLException(SolicitacaoservicoDAO.class+" - Cdigo: "+e.getErrorCode()+" Estado: "+e.getSQLState()+" Erro: "+e.getMessage() );
        } finally {
            if( ps != null ) {
                ps.close();
                ps = null;
            }
        }
        return colec;
    }
}
