/*
 * IConstantes.java
 *
 * Created on 27 de Janeiro de 2007, 14:15
 *
 */

package br.com.tabelionatomessias.interfaces;

/**
 * Interface para trabalhar com as constantes
 */
public interface IConstantes {
    
    // Constantes para o Certificado Digital
    final String NOME_ARQUIVO = "Certificado.p12";
    final String NOME_CERTIDAO_CONFERE = "CertConfere.pdf";
    final String ALGORITMO_ASSINATURA = "SHA256WithRSAEncryption";
    final String ALGORITMO_REQUISICAO = "SHA256withRSA";
    final String EMISSOR_CERTIFICADO = "CN=Tabelionato Messias";
    final String ALGORITMO_RSA = "RSA";
    final String PROVIDER_CRIPTOGRAFIA = "BC";
    final String KEY_STORE_PKCS12 = "pkcs12";
    final String ALIAS_CERTIFICADO = "aliasCertificate";
    final String CAMINHO_CERTIDAO_VERIF_INP = "\\temp\\ArqConfereInp.pdf";
    final String CAMINHO_CERTIDAO_VERIF_OUT = "\\temp\\ArqConfereOut.pdf";
    final String CAMINHO_CERTIFICADO = "\\temp\\Certificado.p12";
    final String CAMINHO_CERTIFICADO_ROOT = "\\tabelionato\\Certificado.p12";
    final String CAMINHO_CHAVE_PUBLICA_ROOT = "\\tabelionato\\Certificado.cer";
    final String CAMINHO_CRL = "\\tabelionato\\Revogados.crl";
    final String CAMINHO_PASTA_WEB = "/web";
    final String CAMINHO_RAIZ_APP = "/";
    final String CAMINHO_CRL_EXT = "web\\web-inf\\tabelionato\\Revogados.crl";
    final String PASTA_WEB_INF = "/WEB-INF";
    final String WEB_XML = "\\web.xml";
    final String BUILD_XML = "\\build.xml";
    
    // Constantes para as solicitaes de servio
    final int COD_SOLIC_MINUTA = 1;
    final String DESCR_SERVICO_SOLIC_MINUTA = "Solicitao de Minuta";
    final int COD_SOLIC_CERTIDAO = 2;
    final String DESCR_SERVICO_CERTIDAO = "Certido";
    final int COD_SOLIC_CERT_DIGI = 3;
    final String DESCR_SERVICO_CERT_DIGI = "Gerao de Certificado Digital";
    final int COD_SOLIC_REG_DOCS = 4;
    final String DESCR_SERVICO_REG_DOC = "Registro de Documentos";
    final int COD_SOLIC_VERIF_REG_DOCS = 5;
    final String DESCR_SERVICO_VERIF_REG_DOC = "Verificar Registro de Documentos";
    final String DESCR_SERVICO_ENVIO_ARQUIVO_DOWNLOAD = "Envio de arquivo da minuta para download.";
    final int COD_SOLIC_SERVICO_PUBLICO = 0;
    
    
    // Constantes para o status das solicitaes
    final int COD_STATUS_NAO_ATENDIDO = 1;
    final int COD_STATUS_EM_ATENDIMENTO = 2;
    final int COD_STATUS_AGUARD_APROV = 3;
    final int COD_STATUS_RECUSADA_EM_ATEND = 4;
    final int COD_STATUS_CONCLUIDO = 5;
    
    // Constantes para o nome dos servlets
    final String SERVLET_SOLIC_CERT_DIGI = "soliccertdigi";
    final String SERVLET_REG_DOC_DIGI = "regdocdigi";
    
    // Constantes para converso de $$
    final String FORMATO_DINHEIRO = "R$ ###,###,###,##0.00";
    
    // Constantes para gerao do PDF.
    final String REASON = "Certido emitida pelo Tabelionato Messias";
    final String LOCATION = "Tabelionato Messias";
    
    // Constantes para gerao da Certido
    final String CERT_TITULO = "CERTIDO";
    final String CERT_TEXTO1 = "Era somente o que se continha em dito livro e folhas que bem e fielmente, fiz extrair a presente, ao qual me reporto e dou f.";
    final String CERT_TEXTO2 = "Certido emitida em: ";
    final String CERT_TEXTO3 = "Esta certido NO  expedida gratuitamente. Porm sua autenticidade poder ser confirmada gratuitamente na pgina do Tabelionato Messias na Internet, no endereo: http://www.tabelionatomessias.com.br, atravs do cdigo: ";
    final String CERT_TABELIAO = "GUATAARA NAVARRO MESSIAS";
    final String CERT_NUM_TABELIAO = "4 Tabelio";
    final String CAMINHO_CERTIDAO_INP = "\\temp\\ArqCertidaoInp.pdf";
    final String CAMINHO_CERTIDAO_OUT = "\\temp\\ArqCertidaoOut.pdf";
    
 
}
