/*
 * XMLReader.java
 *
 * Created on 23 de Janeiro de 2007, 20:29
 *
 */

package br.com.tabelionatomessias.utils;

import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

/**
 * Classe para fazer a leitura do arquivo web.xml
 */
public class XMLReader {
    
    public XMLReader() { }
    
    /**
     * Fazer a leitura do web.xml e devolve um Map com todas as tags
     * do xml e seus respectivos valores.
     * @return Map map
     * @param String[], onde: 0=path (arquivo a ser lido), 1=tagPai, 2=tagFilha
     *
     */
    public Map getParamValue(String valores[]) throws ParserConfigurationException, 
            SAXException, IOException {
           
        // Leitura do arquivo xml
        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        DocumentBuilder db = dbf.newDocumentBuilder();
        Document doc = db.parse(valores[0]);
        Element elem = doc.getDocumentElement();
        Map map = new HashMap();

        // Lista de parmetros e seus respectivos valores
        List valorNodo = getChildTagValue(elem, valores[1]);
        List valorParam = getChildTagValue(elem, valores[2]);
        Iterator iteNodo = valorNodo.iterator();
        Iterator iteParam = valorParam.iterator();
        while (iteNodo.hasNext() && iteParam.hasNext()) {
            String nome = (String) iteNodo.next();
            String valor = (String) iteParam.next();
            map.put(nome, valor);
        }

        return map;
        
    }
    
  /**
   * Pegar o valor das tags e retorn-los em uma lista.
   * @param Element elem
   * @param String tagName
   * @return List list
   */  
    private List getChildTagValue(Element elem, String tagName) {
        NodeList children = elem.getElementsByTagName( tagName );
        List lista = new ArrayList();
        for (int iCont = 0; iCont <= children.getLength() - 1; iCont++ ) {
            Element child = (Element) children.item(iCont);
            String valorNodo = child.getFirstChild().getNodeValue();
            lista.add(valorNodo);
        }
        
        return lista;
        
    }
}
